<%

Function GetCmd_Sokande_Betyg(strKommun, strExpType)
  Dim strSelect, cmd

  Set cmd = Server.CreateObject("ADODB.Command")

  if not strKommun = "" then
  
      ' FILEXPORT MED SKANDE
      if strExpType = "RAPPORT_MED_SKANDE_SLUTBETYG" then
        strConditions = AddCondition("PER.HEMKOMMUN")
      end if
      
      ' PERSON
      strSelect = "SELECT PER.UPDDAT, PER.PERSONNR, PER.FORNAMN, PER.EFTERNAMN, PER.EPOST, PER.HEMKOMMUN, PER.ADRESS, PER.ORT, PER.POSTNR, PER.TELHEM, "

      'ANSKAN
      strSelect = strSelect & " ANS.SKOLA, ANS.SKOLNAMN, ANS.KLASS, ANS.SKOLKOMMUN, ANS.BETYG_HT9_BV, ANS.BETYG_VT9_BV, ANS.BETYG_ANNAT, ANS.TIDUTB, ANS.SPRAKVAL_GR, ANS.ELEVENSVAL_GR, ANS.MODERSMAL_GR, ANS.OBEHORIG_GR_HT9, ANS.OBEHORIG_GR_VT9 "

      strSelect = strSelect & " FROM KJ0V0PER PER, KJ0V1ANS ANS, KJ0V0VAL VAL "
      strSelect = strSelect & " WHERE VAL.SOKT_KOMMUN = ? "
      strSelect = strSelect & " AND PER.PERSONNR = VAL.PERSONNR "
      strSelect = strSelect & " AND PER.PERSONNR = ANS.PERSONNR "
      strSelect = strSelect & " AND VAL.PERIOD=? "
      strSelect = strSelect & " AND ANS.PERIOD=? "
      
      cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
      cmd.Parameters.Append cmd.CreateParameter("@period1", adVarChar, adParamInput, 10, Application("PERIOD"))
      cmd.Parameters.Append cmd.CreateParameter("@period2", adVarChar, adParamInput, 10, Application("PERIOD"))

      'VILKOR UTIFRN FUNKTION!
      if not strConditions = "" then
        strSelect = strSelect & " AND " & strConditions
      end if
      
      strSelect = strSelect & " ORDER BY ANS.SKOLKOMMUN, ANS.SKOLA, ANS.KLASS, PER.PERSONNR, VAL.VALNR "
  
  end if ' Request("raKommun") = ""
  
  cmd.CommandText = strSelect
  cmd.CommandType = adCmdText

  set GetCmd_Sokande_Betyg = cmd

End Function

'*******************************************************************************************
'*******************************************************************************************

Function GetCmd_Sokande(strLimitations)
  Dim strSelect, strConditions, strKommun, cmd

  Set cmd = Server.CreateObject("ADODB.Command")
  
  if not Request("raKommun") = "" then
    strKommun = Request("raKommun") 
     
      if strLimitations = "LIMITED_TABLES" then
        strSelect = "SELECT PER.UPDDAT, PER.PERSONNR, PER.FORNAMN, PER.EFTERNAMN, PER.EPOST, PER.HEMKOMMUN, ANS.KLASS, "
        strSelect = strSelect & " ANS.W_VERSIONSNR, ANS.W_KANSLI, ANS.W_ANTECKNING, W_SYV, "
        strSelect = strSelect & " ANS.OBEHORIG_GR_HT9, ANS.OBEHORIG_GR_VT9, ANS.BETYG_HT9_BV, "
        strSelect = strSelect & " ANS.BETYG_VT9_BV, "
        strSelect = strSelect & " VAL.VALNR, VAL.STUDIEVAG, VAL.INT_STATUS, VAL.SOKT_KOMMUN, "
        strSelect = strSelect & " VAL.UPDDAT_VAL, VAL.SKOLPLACERING_T "
      else
        'PERSON
        strSelect = "SELECT PER.UPDDAT, PER.PERSONNR, PER.FORNAMN, PER.EFTERNAMN, PER.ADRESS, PER.POSTNR, PER.ORT, PER.TELHEM, PER.HEMKOMMUN, PER.FORSAMLING, PER.EPOST "
        'ANSKAN
        strSelect = strSelect & ", ANS.SKOLA, ANS.KLASS, ANS.SKOLKOMMUN, ANS.BETYG_HT9_BV, ANS.BETYG_VT9_BV, ANS.BETYG_ANNAT, ANS.TIDUTB, ANS.SPRAKVAL_GR, ANS.ELEVENSVAL_GR, ANS.MODERSMAL_GR, ANS.ANTECKNING1, ANS.ANTECKNING2, ANS.W_ANTECKNING "        
        strSelect = strSelect & ",  ANS.OBEHORIG_GR_HT9, ANS.OBEHORIG_GR_VT9 "        
        'VAL
        strSelect = strSelect & ", VAL.VALNR, VAL.STUDIEVAG, VAL.SOKT_KOMMUN, VAL.ONSKAD_SKOLA, VAL.STUDIEVAG_INR, VAL.BEHORIGHET, VAL.GRUPP, VAL.KOMPLETTERING "
        strSelect = strSelect & ", VAL.EXTRAPOANG, VAL.FARDIGHPOANG, VAL.YTTRANDE, VAL.BESLUT, VAL.SAMV_AVTAL, VAL.RANGTAL, VAL.MERITVARDE, VAL.INT_STATUS, VAL.SKOLPLACERING, VAL.SKOLPLACERING_T "
        'Skola
        strSelect = strSelect & ", SKO.SKOLENHETSKOD "
      end if

      strSelect = strSelect & " FROM KJ0V0PER PER, KJ0V0ANS ANS, KJ0V1VAL VAL "
      strSelect = strSelect & " JOIN KJ0V0SKO SKO ON (VAL.ONSKAD_SKOLA = SKO.SKOLA) "
      strSelect = strSelect & " WHERE " 
      
      if Request("raFunction") = "FILE_EXP" then
        strSelect = strSelect & " EXISTS (select 'x' from KJ0V0VAL VAL2 where VAL.personnr = VAL2.personnr "
        strSelect = strSelect & " and VAL.period = VAL2.period and VAL2.sokt_kommun = ?)"
        cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
        strSelect = strSelect & " AND PER.PERSONNR = VAL.PERSONNR "
      else
        if Request("raFunction") <> "1" then        
            strSelect = strSelect & "VAL.SOKT_KOMMUN = ?"
            cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
            strSelect = strSelect & " AND PER.PERSONNR = VAL.PERSONNR "
        else
            strSelect = strSelect & " PER.PERSONNR = VAL.PERSONNR "
        end if
      end if
      
      strSelect = strSelect & " AND PER.PERSONNR = ANS.PERSONNR "
      strSelect = strSelect & " AND VAL.PERIOD=? "
      strSelect = strSelect & " AND ANS.PERIOD=? "
      cmd.Parameters.Append cmd.CreateParameter("@period1", adVarChar, adParamInput, 10, Application("PERIOD"))
      cmd.Parameters.Append cmd.CreateParameter("@period2", adVarChar, adParamInput, 10, Application("PERIOD"))

      ' SKANDE SOM HAR VAL I VALD KOMMUN..
      if Request("raFunction") = "1" then
          strConditions = "PER.HEMKOMMUN = ? "
          cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
      ' Skande som r folkbokfrd i vald kommun
      elseif Request("raFunction") = "2" then
          strConditions = AddCondition("PER.HEMKOMMUN")
      ' Skande som har SKOLkommun = vald kommun..
      elseif Request("raFunction") = "3" then
          strConditions = AddCondition("ANS.SKOLKOMMUN")
      ' FILEXPORT MED SKANDE
      elseif Request("raFunction") = "FILE_EXP" then
          if Request("lstExportTypes") = "FIL_MED_SKANDE_PROCAPITA" or Request("lstExportTypes") = "FIL_MED_SKANDE_IST" then
            strConditions = AddCondition("PER.HEMKOMMUN")
          end if
      end if

      'VILKOR UTIFRN FUNKTION!
      strSelect = strSelect & " AND " & strConditions

      if strLimitations = "LIMITED_TABLES" then
        strSelect = strSelect & " ORDER BY PER.EFTERNAMN, VAL.VALNR "
      else
        strSelect = strSelect & " ORDER BY PER.PERSONNR, VAL.VALNR "
      end if

  end if ' Request("raKommun") = ""

  cmd.CommandText = strSelect
  cmd.CommandType = adCmdText
  
  set GetCmd_Sokande = cmd

End Function

'*******************************************************************************************
'*******************************************************************************************

Function GetCmd_Intagna()
  Dim strSelect, strConditions, strKommun, strRaChoice, cmd

  Set cmd = Server.CreateObject("ADODB.Command")
  
  if not Request("raKommun") = "" then
    strKommun = Request("raKommun")    

    strRaChoice = Request("raFunction")
     
    strSelect = "SELECT PER.UPDDAT, PER.PERSONNR, PER.FORNAMN, PER.EFTERNAMN, PER.EPOST, PER.HEMKOMMUN, ANS.KLASS, "
    strSelect = strSelect & " ANS.W_VERSIONSNR, ANS.W_KANSLI, ANS.W_ANTECKNING, ANS.W_SYV, "
    strSelect = strSelect & " ANS.OBEHORIG_GR_HT9, ANS.OBEHORIG_GR_VT9, ANS.BETYG_HT9_BV, "
    strSelect = strSelect & " ANS.BETYG_VT9_BV, "
    strSelect = strSelect & " VAL.VALNR, VAL.STUDIEVAG, VAL.INT_STATUS, VAL.SOKT_KOMMUN, "
    strSelect = strSelect & " VAL.UPDDAT_VAL, VAL.SVARSKOD, REPLACE(SKO.SKOLNAMN,',',' ') SKOLPLACERING_T "
    strSelect = strSelect & " FROM KJ0V0VAL VAL "
    strSelect = strSelect & " JOIN KJ0V0PER PER ON PER.PERSONNR = VAL.PERSONNR "
    strSelect = strSelect & " JOIN KJ0V0ANS ANS ON PER.PERSONNR = ANS.PERSONNR "
    strSelect = strSelect & " LEFT OUTER JOIN KJ0V0SKO SKO ON SKO.SKOLA = VAL.SKOLPLACERING "
    if strRaChoice = "1" then
        strSelect = strSelect & " WHERE VAL.INT_STATUS IN ('I', 'B')"
    else
        strSelect = strSelect & " WHERE VAL.INT_STATUS IN ('K','A','E')"
    end if      
    strSelect = strSelect & " AND VAL.PERIOD=? "
    strSelect = strSelect & " AND ANS.PERIOD=? "
    cmd.Parameters.Append cmd.CreateParameter("@period1", adVarChar, adParamInput, 10, Application("PERIOD"))
    cmd.Parameters.Append cmd.CreateParameter("@period2", adVarChar, adParamInput, 10, Application("PERIOD"))
      
    if strRaChoice = "1" then
        strSelect = strSelect & " AND PER.HEMKOMMUN=? "
        strConditions = AddCondition("VAL.SOKT_KOMMUN")
    else
        strSelect = strSelect & " AND VAL.SOKT_KOMMUN=? "
        strConditions = AddCondition("PER.HEMKOMMUN")
    end if
    cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)

    'VILKOR UTIFRN FUNKTION! Intagen i intagningsomrdets kommuner...
    strSelect = strSelect & " AND " & strConditions
    strSelect = strSelect & " ORDER BY PER.EFTERNAMN, VAL.VALNR "
  
  end if ' Request("raKommun") = ""
  
  cmd.CommandText = strSelect
  cmd.CommandType = adCmdText

  set GetCmd_Intagna = cmd
  
End Function


'*******************************************************************************************
'*******************************************************************************************

Function GetCmd_PrelIntagna()
  Dim strSelect, strConditions, strKommun, strRaChoice, cmd

  Set cmd = Server.CreateObject("ADODB.Command")
  
  if not Request("raKommun") = "" then
    strKommun = Request("raKommun")
    
    Dim strPrelPeriod
  
    if Application("useNewPrelPeriodFunction") <> "" then
      strPrelPeriod = trim(Application("useNewPrelPeriodFunction"))
    else
      strPrelPeriod = trim(Application("PREL_PERIOD"))
    end if

    strRaChoice = Request("raFunction")
  
    strSelect = "SELECT PER.UPDDAT, PER.PERSONNR, PER.FORNAMN, PER.EFTERNAMN, PER.EPOST, ANS.KLASS, "
    strSelect = strSelect & " ANS.W_VERSIONSNR, ANS.W_KANSLI, ANS.W_ANTECKNING, ANS.W_SYV, "
    strSelect = strSelect & " ANS.OBEHORIG_GR_HT9, ANS.OBEHORIG_GR_VT9, ANS.BETYG_HT9_BV, "
    strSelect = strSelect & " ANS.BETYG_VT9_BV, "
    strSelect = strSelect & " VAL.VALNR, VAL.STUDIEVAG, VAL.INT_STATUS, VAL.SOKT_KOMMUN, "
    strSelect = strSelect & " VAL.UPDDAT_VAL, VAL.SVARSKOD, REPLACE(SKO.SKOLNAMN,',',' ') SKOLPLACERING_T "
    strSelect = strSelect & " FROM KJ0V0WAL VAL "
    strSelect = strSelect & " JOIN KJ0V0PER PER ON PER.PERSONNR = VAL.PERSONNR "
    strSelect = strSelect & " JOIN KJ0V0ANS ANS ON PER.PERSONNR = ANS.PERSONNR "
    strSelect = strSelect & " LEFT OUTER JOIN KJ0V0SKO SKO ON SKO.SKOLA = VAL.SKOLPLACERING "
    if strRaChoice = "3" then
        strSelect = strSelect & " WHERE VAL.INT_STATUS IN ('I', 'B')"
    else
        strSelect = strSelect & " WHERE VAL.INT_STATUS IN ('K','A','E')"
    end if      
    strSelect = strSelect & " AND VAL.PERIOD=? "
    strSelect = strSelect & " AND ANS.PERIOD=? "
    cmd.Parameters.Append cmd.CreateParameter("@period1", adVarChar, adParamInput, 10, strPrelPeriod)
    cmd.Parameters.Append cmd.CreateParameter("@period2", adVarChar, adParamInput, 10, Application("PERIOD"))
    
    if strRaChoice = "3" then
        strSelect = strSelect & " AND PER.HEMKOMMUN=? "
        strConditions = AddCondition("VAL.SOKT_KOMMUN")
    else
        strSelect = strSelect & " AND VAL.SOKT_KOMMUN=? "
        strConditions = AddCondition("PER.HEMKOMMUN")
    end if
    cmd.Parameters.Append cmd.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
      
    'VILKOR UTIFRN FUNKTION! Intagen i intagningsomrdets kommuner...
    strSelect = strSelect & " AND " & strConditions
    strSelect = strSelect & " ORDER BY PER.EFTERNAMN, VAL.VALNR "      
  
  end if ' Request("raKommun") = ""
  
  cmd.CommandText = strSelect
  cmd.CommandType = adCmdText

  set GetCmd_PrelIntagna = cmd 

End Function

'******************************************************************************
'******************************************************************************

Function GetChanged_UpdatedChoises_PnrOrder_New()

  Dim strSelect1, strSelect2, nCount1, nCount2, rs1, rs2, cn, strLeftOvers, cmd1, cmd2
  Dim x, x2, strReturn, strPeriod_Jfr, strSearchPnr, strPnr, strPnr2, strCmp, raTypVal
  Dim strTime1, strTime2, strPnrCmp, strSkolanamn, strKommun
  strKommun = Request("raKommun")
  raTypVal = Request("raFunction")
  strTime1 = timer()
  strPeriod_Jfr = Request("historik")
  strReturn = "<font class=MessageText>Inga ndrade/nya eller borttagna val finns fr vald kommun!</font>"
  
  Set cn = Server.CreateObject("ADODB.Connection")
  Set rs1 = Server.CreateObject("ADODB.Recordset")
  Set cmd1 = Server.CreateObject("ADODB.Command")
  cn.Open Application ("DataCon")

'NYA VAL
  strSelect1 = "SELECT PER.UPDDAT, VAL.VALNR, VAL.PERSONNR, VAL.STUDIEVAG, VAL.STUDIEVAG_INR, VAL.ONSKAD_SKOLA, VAL.SOKT_KOMMUN, "
  strSelect1 = strSelect1 & " VAL.UPDDAT_VAL, PER.HEMKOMMUN, PER.FORNAMN, PER.EFTERNAMN "
  strSelect1 = strSelect1 & " FROM KJ0V0VAL VAL, KJ0V0PER PER "
  strSelect1 = strSelect1 & " WHERE NOT EXISTS "
  strSelect1 = strSelect1 & " ( SELECT VALNR, PERSONNR, STUDIEVAG FROM KJ0V0WAL JFR "
  strSelect1 = strSelect1 & " WHERE JFR.PERSONNR = VAL.PERSONNR "
  strSelect1 = strSelect1 & " AND JFR.VALNR = VAL.VALNR AND JFR.STUDIEVAG = VAL.STUDIEVAG "
  strSelect1 = strSelect1 & " AND JFR.SOKT_KOMMUN = VAL.SOKT_KOMMUN  "
  strSelect1 = strSelect1 & " AND JFR.PERIOD = ? "
  strSelect1 = strSelect1 & " ) AND PER.HEMKOMMUN = ? "
  strSelect1 = strSelect1 & " AND " & AddCondition("VAL.SOKT_KOMMUN")
  strSelect1 = strSelect1 & " AND VAL.PERSONNR = PER.PERSONNR "
  strSelect1 = strSelect1 & " AND VAL.PERIOD = ? "
  strSelect1 = strSelect1 & " ORDER BY VAL.PERSONNR, VAL.VALNR, VAL.STUDIEVAG "

  cmd1.Parameters.Append cmd1.CreateParameter("@period1", adVarChar, adParamInput, 10, strPeriod_Jfr)
  cmd1.Parameters.Append cmd1.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
  cmd1.Parameters.Append cmd1.CreateParameter("@period2", adVarChar, adParamInput, 10, Application("PERIOD"))

  Set cmd1.ActiveConnection = cn
  cmd1.CommandText = strSelect1
  cmd1.CommandType = adCmdText
  rs1.Open cmd1, , 3, 1
  nCount1 = rs1.RecordCount
  Session("nCount1") = nCount1

  Set rs2 = Server.CreateObject("ADODB.Recordset")
  Set cmd2 = Server.CreateObject("ADODB.Command")
'BORTAGNA VAL!  
  strSelect2 = "SELECT PER.UPDDAT, VAL.VALNR, VAL.PERSONNR, VAL.STUDIEVAG, VAL.STUDIEVAG_INR, VAL.ONSKAD_SKOLA, VAL.SOKT_KOMMUN, "
  strSelect2 = strSelect2 & " VAL.UPDDAT_VAL, PER.HEMKOMMUN, PER.FORNAMN, PER.EFTERNAMN "
  strSelect2 = strSelect2 & " FROM KJ0V0WAL VAL, KJ0V0PER PER WHERE NOT EXISTS "
  strSelect2 = strSelect2 & "( SELECT VALNR, PERSONNR, STUDIEVAG, SOKT_KOMMUN FROM KJ0V0VAL JFR "
  strSelect2 = strSelect2 & " WHERE JFR.PERSONNR = VAL.PERSONNR "
  strSelect2 = strSelect2 & " AND VAL.VALNR = JFR.VALNR AND VAL.STUDIEVAG = JFR.STUDIEVAG "
  strSelect2 = strSelect2 & " AND VAL.SOKT_KOMMUN = JFR.SOKT_KOMMUN  "
  strSelect2 = strSelect2 & " AND JFR.PERIOD = ? "
  strSelect2 = strSelect2 & " ) AND PER.HEMKOMMUN =? "
  strSelect2 = strSelect2 & " AND VAL.PERSONNR = PER.PERSONNR "
  strSelect2 = strSelect2 & " AND VAL.PERIOD = ? "
  strSelect2 = strSelect2 & " AND " & AddCondition("VAL.SOKT_KOMMUN")
  strSelect2 = strSelect2 & " ORDER BY VAL.PERSONNR, VAL.VALNR, VAL.STUDIEVAG " 

  cmd2.Parameters.Append cmd2.CreateParameter("@period1", adVarChar, adParamInput, 10, Application("PERIOD"))
  cmd2.Parameters.Append cmd2.CreateParameter("@kommun", adVarChar, adParamInput, 4, strKommun)
  cmd2.Parameters.Append cmd2.CreateParameter("@period2", adVarChar, adParamInput, 10, strPeriod_Jfr)

  Set cmd2.ActiveConnection = cn
  cmd2.CommandText = strSelect2
  cmd2.CommandType = adCmdText
  rs2.Open cmd2, , 3, 1
  nCount2 = rs2.RecordCount
  Session("nCount2") = nCount2
  
  Session("TraceSQL") = "SQL NYA VAL : " & strSelect1 & "<BR><BR>"
  Session("TraceSQL") = Session("TraceSQL") & "SQL BORTTAGNA VAL : " & strSelect2 & "<BR><BR>"

  Response.Write ("<BR><FONT size='1' face='verdana' color='Black'>Antal nya/ndrade val: " & Session("nCount1") & "</FONT>")
  Response.Write ("<FONT size='1' face='verdana' color='Black'>. Antal borttagna val: " & Session("nCount2") & " </FONT>")
  
  if nCount1 > 0 then
    
    'RITA TABELLHUVUD
    strReturn = PrintChangedChoisesTableHeader()
        
    Dim iRow, strPnrT
    iRow = 1
    
     For x2 = 0 to nCount1 - 1

      strSoktKommun = rs1("SOKT_KOMMUN")
      
      if iRow = 1 and not strPnrT = rs1("PERSONNR") then
        strColor = "white"
        iRow = 0
      elseif not strPnrT = rs1("PERSONNR") then
        strColor = "#ededeb"
        iRow = 1
      end if

      strPnr = rs1("PERSONNR")
      strPnrT = rs1("PERSONNR")

      strPnr = trim(rs1("PERSONNR"))
      strPnr = FormatPersonnr(strPnr)
      
      strReturn = strReturn & "<TR bgcolor=" & strColor & ">"

      strUserDate = trim(rs1("UPDDAT_VAL"))
      strUserDate = Right(strUserDate, 6) 
      strUserDate = Left(strUserDate, 2) & "-" & Mid(strUserDate, 3, 2) & "-" & Right(strUserDate, 2)
      if strUserDate = "99-12-31" then strUserDate = " - " end if
      
      strReturn = strReturn & "<TD><FONT class=FontText>Nytt/ndrat</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & strPnr & "</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs1("EFTERNAMN") & ", " & rs1("FORNAMN") & "</TD>"
      
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs1("SOKT_KOMMUN") & "</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs1("VALNR") & "</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs1("STUDIEVAG") & "</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs1("STUDIEVAG_INR") & "</TD>"
      strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & strUserDate & "</TD>"
      strReturn = strReturn & "</TR>"
      
      strSearchPnr = rs1("PERSONNR")
      rs1.MoveNext
      
      if not rs1.EOF then 
        strCmp = rs1("PERSONNR")
      else
        strCmp = ""
      end if

      if not strCmp = strSearchPnr and not nCount2 = 0 or nCount2 = -1 then
        rs2.MoveFirst 
        nCount2 = rs2.RecordCount
        rs2.Find "PERSONNR = '" & strSearchPnr & "'"
      
        if not rs2.EOF and not strSearchPnr = "" then
          strCmp = rs2("PERSONNR")

          while strCmp = strSearchPnr
            if strSearchPnr = rs2("PERSONNR") then
            strLeftOvers = strLeftOvers & strSearchPnr & ";" 
            strSoktKommun = rs2("SOKT_KOMMUN")
            if strSkolanamn = "" then strSkolanamn = rs2("ONSKAD_SKOLA") end if
                strUserDate = trim(rs2("UPDDAT_VAL"))
                strUserDate = Right(strUserDate, 6)
                strUserDate = Left(strUserDate, 2) & "-" & Mid(strUserDate, 3, 2) & "-" & Right(strUserDate, 2)
                if strUserDate = "99-12-31" then strUserDate = " - " end if
                strPnr2 = FormatPersonnr(rs2("PERSONNR"))

                strReturn = strReturn & "<TR bgcolor=" & strColor & ">"
                strReturn = strReturn & "<TD><FONT class=FontText>Borttaget</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & strPnr2 & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("EFTERNAMN") & ", " & rs2("FORNAMN") & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("SOKT_KOMMUN") & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("VALNR") & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("STUDIEVAG") & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("STUDIEVAG_INR") & "</FONT></TD>"
                strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & strUserDate & "</FONT></TD>"
                strReturn = strReturn & "</TR>"
            end if
            
            rs2.MoveNext
            
            if not rs2.EOF then 
              strCmp = rs2("PERSONNR")
            else
              strCmp = ""
            end if
         wend
        end if 'EOF
      end if 'Ny personnr frn rs1
    Next 'Nsta i rs1

  end if 'nCount1 > 0
    
  'Nu, ta alla kvarvarande i rs2 - dvs de som bara har borttagna val...
  if not nCount2 = 0 or nCount2 = -1 then
    rs2.MoveFirst 
    nCount2 = rs2.RecordCount
    if not rs2.EOF then
      
      if Session("bPrintTableHeader") = true then
        strReturn = strReturn & "<TR bgcolor=white><td colspan=9><hr width=600></td></tr>"
      end if
      
      For x1 = 0 to nCount2 - 1
        strCmp = rs2("PERSONNR")
      
        if InStr(1, strLeftOvers, strCmp, 1) = 0 then

          if not Session("bPrintTableHeader") = true then
            strReturn = PrintChangedChoisesTableHeader()
          end if
        
          strSoktKommun = rs2("SOKT_KOMMUN")
          if strSkolanamn = "" then strSkolanamn = rs2("ONSKAD_SKOLA") end if
          strUserDate = trim(rs2("UPDDAT_VAL"))
          strUserDate = Right(strUserDate, 6)
          strUserDate = Left(strUserDate, 2) & "-" & Mid(strUserDate, 3, 2) & "-" & Right(strUserDate, 2)
          if strUserDate = "99-12-31" then strUserDate = " - " end if

          if iRow = 1 and not strCmp = strPnrCmp then
            if strColor = "white" then
              strColor = "#ededeb"
            else
              strColor = "white"
            end if
            iRow = 0
          elseif not strCmp = strPnrCmp then
            if strColor = "#ededeb" then
              strColor = "white"
            else
              strColor = "#ededeb"
            end if
            iRow = 1
          end if
          
          strPnrCmp = rs2("PERSONNR")
          strCmp = FormatPersonnr(strCmp)

          strReturn = strReturn & "<TR bgcolor=" & strColor & ">"
          strReturn = strReturn & "<TD><FONT class=FontText>Borttaget</TD>"
          strReturn = strReturn & "<TD><FONT class=FontLink><A class=FontLink href='javascript:ShowHelp(""syvuser.asp?Student=" & strPnrCmp & "&Action=ReadStudent "")'>" & strCmp & "</A></TD>"      
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("EFTERNAMN") & ", " & rs2("FORNAMN") & "</TD>"
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("SOKT_KOMMUN") & "</TD>"
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("VALNR") & "</TD>"
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("STUDIEVAG") & "</TD>"
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & rs2("STUDIEVAG_INR") & "</TD>"
          strReturn = strReturn & "<TD><FONT class=FontText>&nbsp;" & strUserDate & "</TD>"
          strReturn = strReturn & "</TR>"
                 
        end if 'InStr
              
        rs2.MoveNext
     Next
    end if 'EOF
  End If 'not nCount2 = 0 or nCount2 = -1 
    
  strTime2 = timer()
  Session("TimeHistory") = strTime2 - strTime1
  
  if Session("bPrintTableHeader") = true then
    strReturn = strReturn & "</TABLE>"
  end if
  
  rs1.Close
  rs2.Close
  cn.Close
  
  set rs1 = nothing
  set rs2 = nothing
  set cn = nothing
  set cmd1 = nothing
  set cmd2 = nothing
  
  GetChanged_UpdatedChoises_PnrOrder_New = strReturn

End Function
'****************************************************************************************'
'****************************************************************************************'
Function AddCondition(strTableColumn)

  Dim strCondition
  arKommuner = Application("OPTION_KOMMUNER_EGNA")

  if IsArray(arKommuner) then
    for each strItem in arKommuner
      'Bara pres riktiga kommuner, ej friskolor...
      strKomKod = GetOptionValue(strItem)
      if IsNumeric(strKomKod) then
        if strCondition = "" then
          strCondition = strTableColumn & "='" & strKomKod & "' "
        else
          strCondition = strCondition & " OR " & strTableColumn & "='" & strKomKod & "' "
        end if
        
      end if
    next
  end if
  
  AddCondition = "( " & strCondition & ") "

End Function

Function PrintChangedChoisesTableHeader()
    
    Session("bPrintTableHeader") = true
    Dim strRetTable
    
    strRetTable = "<TABLE width=650 cellspacing=0 cellpadding=1 bgcolor=white border=0>" 
    strRetTable = strRetTable & "<TR bgcolor=silver>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='45'>&nbsp;&nbsp;&nbsp;&nbsp;</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='80'>Personnr</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='120'>Namn </FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='50'>Skt<br>kommun</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='25'>Valnr</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='100'>Studievg</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='50'>In-<br>riktning</FONT></TD>"
    strRetTable = strRetTable & "<TD><FONT class=SubHeaderFont width='70'>Valdatum</FONT></TD>"
    strRetTable = strRetTable & "</TR>"
    
    PrintChangedChoisesTableHeader = strRetTable

End Function

%>