<%@ Language=VBScript %>
<!-- #include file = "Inc_Functions.asp" -->
<!-- #include file = "Inc_DatabaseFunctions.asp" -->
<!-- #include file = "Inc_CheckSyv.asp" -->

<%
  Response.Buffer = FALSE
  if Session("RA_Action") = "INTAG" then
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      FileName = "SyvAntagnaElever"
    else
      FileName = "SyvEjAntagnaElever"
    end if 
  else
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      FileName = "SyvPrelAntagnaElever"
    else
      FileName = "SyvEjPrelAntagnaElever"
    end if
  end if
  FileName = FileName & "_" & DatePart("yyyy", Now()) & "-" & DatePart("m", Now()) & "-" & DatePart("d", Now()) & ".xls"
  Response.ContentType = "application/vnd.ms-excel"
  Response.AddHeader "content-disposition","attachment; filename=" & FileName  
%>

<HTML>
<HEAD>
		<META HTTP-EQUIV="Expires" CONTENT="Tue, 01 Jan 1980 1:00:00 GMT">
  	<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<!--
     <LINK rel="stylesheet" type="text/css" href="../IntagningFonts.css">
-->
  	
  <title>Export to Excel </title>
</HEAD>

<BODY onload="this.focus();">
<%
  Const cTableHeaderBgColor = "#efefef"
  Const cTableBgColor1 = "White"
  Const cTableBgColor2 = "LightBlue"
  Dim iIntagna
  ' Our table which will be translated into an Excel spreadsheet 
  Response.write "TID: " & Time()
  Response.write "<TABLE border=1 cellspacing=0 cellpadding=0>"
  Response.write "<TR><TD colspan=100><FONT size=small face=arial>Export till Excel skapad " & RemoveCentury(GetToday()) & " av " & Server.HTMLEncode(Session("User_PCINTAG")) & "</B></TD></TR>"

  if Session("RA_Action") = "INTAG" then
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>ELEVER I " & Session("SelectedClass") & " FRN " & Server.HTMLEncode(GetSchoolName(Session("SelectSchool"))) & " SOM R ANTAGNA</FONT></B></TD></TR>"
    else
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>ELEVER I " & Session("SelectedClass") & " FRN " & Server.HTMLEncode(GetSchoolName(Session("SelectSchool"))) & " SOM INTE R ANTAGNA</FONT></B></TD></TR>"
    end if 
  else
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>ELEVER I " & Session("SelectedClass") & " FRN " & Server.HTMLEncode(GetSchoolName(Session("SelectSchool"))) & " SOM R PRELIMINRT ANTAGNA</FONT></B></TD></TR>"
    else
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>ELEVER I " & Session("SelectedClass") & " FRN " & Server.HTMLEncode(GetSchoolName(Session("SelectSchool"))) & " SOM INTE R PRELIMINRT ANTAGNA</FONT></B></TD></TR>"
    end if
  end if

  iIntagna = ReadPrelAntagna()
   
  if Session("RA_Action") = "INTAG" then
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>TOTALT ANTAL ANTAGNA ELEVER:  " & Server.HTMLEncode(iIntagna) & "</FONT></B></TD></TR>"
    else
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>TOTALT ANTAL EJ ANTAGNA ELEVER:  " & Server.HTMLEncode(iIntagna) & "</FONT></B></TD></TR>"
    end if 
  else
    if Session("RA_ExportAntElev") = "ANTAGNA" then
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>TOTALT ANTAL PRELIMINRT ANTAGNA ELEVER:  " & Server.HTMLEncode(iIntagna) & "</FONT></B></TD></TR>"
    else
      Response.write "<TR><TD colspan=100><FONT size=small face=arial><B>TOTALT ANTAL EJ PRELIMINRT ANTAGNA ELEVER:  " & Server.HTMLEncode(iIntagna) & "</FONT></B></TD></TR>"
    end if
  end if
   
  Response.write "</TABLE>"

%>
</BODY>
</HTML>

<%

'*********************************************************************************************************
'*********************************************************************************************************

Function ReadPrelAntagna()

  Dim iAntRader
  
  'Rita ut rubrikerna..
  WriteTableHeaderPrelAntagna  

  'Hmta command och rita ur rader..
  iAntRader = WriteRows(GetCommandWithSelect())

  ReadPrelAntagna = iAntRader
  
End Function

'*********************************************************************************************************
'*********************************************************************************************************

Function GetCommandWithSelect()

  Dim strQuery, strSelectPeriod, strVAL, cmd
  Set cmd = Server.CreateObject("ADODB.Command")

  if Session("RA_Action") = "INTAG" then
    strSelectPeriod = Application("PERIOD")
  else
    strSelectPeriod = Application("PREL_PERIOD")
  end if

  if trim(strSelectPeriod) = "" and Application("useNewPrelPeriodFunction") <> "" then
    strSelectPeriod = trim(Application("useNewPrelPeriodFunction"))
  end if

  strQuery = " SELECT "
  strQuery = strQuery & " VAL.UPDDAT, VAL.VALNR, VAL.SOKT_KOMMUN, VAL.ONSKAD_SKOLA, VAL.STUDIEVAG, VAL.STUDIEVAG_INR, "
  strQuery = strQuery & " VAL.MERITVARDE, VAL.SVARSKOD, VAL.EXTRAPOANG, VAL.RANGTAL, VAL.INT_STATUS, VAL.BEHORIGHET, "
  strQuery = strQuery & " VAL.GRUPP, VAL.SKOLPLACERING, VAL.UPDDAT_INT, "
  strQuery = strQuery & " PER.PERSONNR, PER.EFTERNAMN, PER.FORNAMN, PER.ADRESS, PER.ORT, PER.HEMKOMMUN, "
  strQuery = strQuery & " PER.POSTNR, PER.TELHEM, PER.TELMOBIL, PER.COADRESS, PER.EPOST, PER.TELARB, "
  
  strQuery = strQuery & " ANS.KLASS, ANS.SKOLA, ANS.BETYG_VT9_BV, ANS.BETYG_HT9_BV, ANS.W_ANTECKNING, "
  strQuery = strQuery & " KUV.KURSKOD, KUV.KURSTYP, KUV.ALTERNATIV, KUV.SOKT_KOMMUN KURSKOMMUN, KUV.STUDIEVAG KURSSTV, KUV.VALNR KUVVALNR,"
  strQuery = strQuery & " STV.OFF_STUDIEVAG "

  if Session("RA_Action") = "INTAG" then
    strVAL = "KJ0V1VAL"
  else
    strVAL = "KJ0V1WAL"
  end if

  strQuery = strQuery & " FROM KJ0V0ANS ANS "
  strQuery = strQuery & " LEFT OUTER JOIN KJ0V0PER PER ON (PER.PERSONNR = ANS.PERSONNR) "
  strQuery = strQuery & " LEFT OUTER JOIN " & strVAL & " VAL ON (VAL.PERSONNR = PER.PERSONNR) "
  strQuery = strQuery & " LEFT OUTER JOIN KJ0V0STV STV ON (STV.STUDIEVAG = VAL.STUDIEVAG) "
  strQuery = strQuery & " LEFT OUTER JOIN KJ0V0KUV KUV ON (KUV.PERSONNR = PER.PERSONNR AND KUV.PERIOD = ANS.PERIOD AND KUV.VALNR = VAL.VALNR) "

  strQuery = strQuery & " WHERE "
  strQuery = strQuery & " ANS.PERIOD = ? "
  strQuery = strQuery & " AND ANS.SKOLA=?"
  strQuery = strQuery & " AND ANS.KLASS=? "

  cmd.Parameters.Append cmd.CreateParameter("@period", adVarChar, adParamInput, 10, Application("PERIOD"))
  cmd.Parameters.Append cmd.CreateParameter("@skola", adVarChar, adParamInput, 4, Session("SelectSchool"))
  cmd.Parameters.Append cmd.CreateParameter("@klass", adVarChar, adParamInput, 10, Session("SelectedClass"))

  if Session("RA_ExportAntElev") = "ANTAGNA" then
    strQuery = strQuery & " AND VAL.PERIOD = ? "
    strQuery = strQuery & " AND ( VAL.INT_STATUS = 'I' OR VAL.INT_STATUS = 'B' OR VAL.INT_STATUS = 'A' ) "    
  else
    strQuery = strQuery & "	AND NOT EXISTS ( SELECT * FROM " & strVAL & " VAL2 "
    strQuery = strQuery & "	WHERE VAL2.PERSONNR = PER.PERSONNR "
    strQuery = strQuery & "	AND VAL2.PERIOD = ? "
    strQuery = strQuery & "	AND ( VAL2.INT_STATUS = 'I'	OR VAL2.INT_STATUS = 'B' OR VAL2.INT_STATUS = 'A'	)	) "    
  end if
  cmd.Parameters.Append cmd.CreateParameter("@period3", adVarChar, adParamInput, 10, strSelectPeriod)

  if Session("RA_ExportAntElev") = "ANTAGNA" then
    if UCase(Application("DBMS")) = "SQL" then
      strQuery = strQuery & " ORDER BY VAL.PERSONNR, KUV.KURSTYP, CAST(VAL.VALNR AS INT) " 
    else
      strQuery = strQuery & " ORDER BY VAL.PERSONNR, KUV.KURSTYP, TO_NUMBER(VAL.VALNR) " 
    end if
  else
    if UCase(Application("DBMS")) = "SQL" then
      strQuery = strQuery & " ORDER BY VAL.PERSONNR, CAST(VAL.VALNR AS INT), KUV.KURSTYP " 
    else
      strQuery = strQuery & " ORDER BY VAL.PERSONNR, TO_NUMBER(VAL.VALNR), KUV.KURSTYP " 
    end if
  end if
 
  cmd.CommandText = strQuery
  cmd.CommandType = adCmdText

  set GetCommandWithSelect = cmd

End Function 'GetCommandWithSelect

'*********************************************************************************************************
'*********************************************************************************************************
Sub WriteTableHeaderPrelAntagna()
  Response.Write "<TR>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>PERSONNR</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>VALNR</FONT></TD>"
  if Session("RA_ExportAntElev") = "ANTAGNA" then
    Response.Write "<TD><FONT class=SubHeaderFont><B>SKOLPLACERING</FONT></TD>"
  else
    Response.Write "<TD><FONT class=SubHeaderFont><B>NSKAD SKOLA</FONT></TD>"
    Response.Write "<TD><FONT class=SubHeaderFont><B>SKT KOMMUN</FONT></TD>"
  end if
  Response.Write "<TD><FONT class=SubHeaderFont><B>STUDIEVG</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>INRIKTNING</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>ANNAT VAL</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>ESTET VAL</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>IND VAL</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>MODERSML</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SVENSKA2</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SPRKVAL </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>VALBAR </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>VALOBLIG </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>VRIGA KURSVAL</FONT></TD>"
  if not Session("RA_ExportAntElev") = "ANTAGNA" then
    Response.Write "<TD><FONT class=SubHeaderFont><B>BEHRIGHET</FONT></TD>"
  end if
  Response.Write "<TD><FONT class=SubHeaderFont><B>FRNAMN </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>EFTERNAMN </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>ADRESS </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>C/O ADRESS </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>POSTNR</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>ORT</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>TELEFON, HEM</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>TELEFON, MOBIL</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>TELEFON, ANNAN</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>E-POST</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>HEMKOMMUN </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>AVL SKOLA </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>KLASS </FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>MERITVRDE</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>BETYGSVRDE</FONT></TD>"
  'BETYG  
  Response.Write "<TD><FONT class=SubHeaderFont><B>BL</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>BI</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>EN</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>FY</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>GE</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>HKK</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>HI</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>IDH</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>KE</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>MA</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>M1</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>M2</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>ML</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>MU</TD>"    
  Response.Write "<TD><FONT class=SubHeaderFont><B>RE</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SH</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SL</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SV</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>SVA</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>TN</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>TK</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>DA</TD>"    
  Response.Write "<TD><FONT class=SubHeaderFont><B>JU</TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>NO</TD>"    
  Response.Write "<TD><FONT class=SubHeaderFont><B>SO</TD>"
  if Session("RA_ExportAntElev") = "ANTAGNA" then
    Response.Write "<TD><FONT class=SubHeaderFont><B>INT DAT</FONT></TD>"
  end if
  Response.Write "<TD><FONT class=SubHeaderFont><B>SVARSKOD</FONT></TD>"
  Response.Write "<TD><FONT class=SubHeaderFont><B>UPPLYSNING</FONT></TD>"
    
  Response.Write "</TR>"

End Sub
'*******************************************************************************************
'*******************************************************************************************
Function WriteRows(cmd)

  Dim strTimer1, strTimer2, strTimerDB
  Dim cn, rs, nCount
  strTimer1 = Timer()
  Set cn = Server.CreateObject("ADODB.Connection")
  Set rs = Server.CreateObject("ADODB.Recordset")
  
  Dim bContinue
  bContinue = true
  
  cn.Open Application ("DataCon")
  cmd.ActiveConnection = cn
  rs.Open cmd,,3,1
  nCount = 0
  strTimerDB = Timer()
  
  Dim xVal, strKom, strStudievag, strValnr, strStudievagKlartext, strUserPnr
  Dim strRangtal, strIntStatus, strColor, strColorHeader, strSkolaPlac, strIntDat, strInriktning
  if (rs.BOF and rs.EOF) then
    Response.Write "<TR><TD colspan=100><FONT class=SubHeaderFont><B>Inga trffar!</TD></TR>"
  else
    Dim strIndVal1, strIndVal2, strMeritVarde, strSvar, strJft, bPrelBet, iAntalIntagna
    Dim strKlass, strHemK, strSkola_Avl, strPnr, strNamn, strAdress, strOrt, strCOAdress
    Dim strPostnr, strTeleHem, strTelMobil, strOBS, strBehorighet, strGrupp
    Dim strEstVal, strSv2, strAnnatVal, strBetyg, strEpost, strBetVardeHT, strBetVardeVT
    Dim strSprak1, strPnrCmp, strTelAnnan, strOnskadSkola
    Dim strKurskod, strKurstyp, strAlt, strKursKom, strKursStv, strTableStudent, strTableVal, strKuvValnr
    Dim strBetVarde, strUpplysning, strSkolnamn
    xVal = 0

    iAntalIntagna  = 0

    do until rs.EOF
 
      nCount = nCount+1
      xVal = xVal+1
      strKom             = rs("SOKT_KOMMUN")
      strStudievag       = rs("STUDIEVAG")
      strInriktning      = trim(rs("STUDIEVAG_INR"))
      strMeritVarde      = trim(rs("MERITVARDE"))
      strSvar            = trim(rs("SVARSKOD"))
      strUpplysning      = trim(rs("W_ANTECKNING"))
      strValnr           = rs("VALNR")
      strBetVardeHT      = rs("BETYG_HT9_BV")
      strBetVardeVT      = rs("BETYG_VT9_BV")

      strBetVardeHT = trim(strBetVardeHT)
      strBetVardeVT = trim(strBetVardeVT)

      strIntStatus       = trim(rs("INT_STATUS"))
      strSkolaPlac       = trim(rs("SKOLPLACERING"))
      strIntDat          = trim(rs("UPDDAT_INT"))
      if not strIntDat = "" then strIntDat= Mid(strIntDat,3 , 2) & "-" & Mid(strIntDat, 5, 2) & "-" & Right(strIntDat, 2) end if
   
      strKlass           = trim(rs("KLASS"))
      strHemK            = CStr(trim(rs("HEMKOMMUN")))
      strSkola_Avl       = trim(rs("SKOLA"))
   
      strPnr             = trim(rs("PERSONNR"))
      strUserPnr = Mid(strPnr, 3, 6) & "-" & Right(strPnr, 4)
      if strUserPnr = "" then strUserPnr = strPnr end if
      strENamn           = trim(rs("EFTERNAMN"))
      strFNamn           = trim(rs("FORNAMN"))
      strAdress          = trim(rs("ADRESS"))
      strCOAdress        = trim(rs("COADRESS"))
      strOrt             = trim(rs("ORT"))
      strPostnr          = CStr(trim(rs("POSTNR")))
      strTeleHem         = CStr(trim(rs("TELHEM")))
      strTelMobil        = CStr(trim(rs("TELMOBIL")))
      strTelAnnan        = CStr(trim(rs("TELARB")))
      strEpost           = trim(rs("EPOST"))

      'KURSVAL
      strKurskod         = trim(rs("KURSKOD"))
      strKurstyp         = trim(rs("KURSTYP"))
      strAlt             = trim(rs("ALTERNATIV"))
      strKursKom         = trim(rs("KURSKOMMUN"))
      strKursStv         = trim(rs("KURSSTV"))
      strKuvValnr        = trim(rs("KUVVALNR"))
      strOnskadSkola     = trim(rs("ONSKAD_SKOLA"))
      strBehorighet      = trim(rs("BEHORIGHET"))

      if strKursTyp = "MODERSMAL" then
        strModersmal = strKurskod
      end if

      if strKursTyp = "SVENSKA2" then
        strSv2 = strKurskod
      end if

      'KURSVAL - SKA VARA LIKA I kommun, studievg
      if strStudievag = strKursStv and strKom = strKursKom then
        if strKursTyp = "INDVAL" or strKursTyp = "ESTETVAL" or strKursTyp = "ANNATVAL" or strKursTyp = "VALBAR" or strKursTyp = "VALOBLIG" or InStr(1, strKursTyp, "SPRK_", 1) > 0 then
          if strKursTyp = "INDVAL" and ( strAlt = "1" or strAlt = "" ) and strKuvValnr = strValnr then
            if strIndVal1 = "" then
              strIndVal1 = strKurskod
            else 
              strIndVal1 = strIndVal1 & ", " & strKurskod
            end if 
          end if
          if strKursTyp = "INDVAL" and (strAlt = "2" or strAlt = "R" ) and strKuvValnr = strValnr then
            strIndVal2 = strKurskod
          end if
          if strKursTyp = "ESTETVAL" and strAlt = "1" and strKuvValnr = strValnr then
            if strEstVal = "" then
              strEstVal = strKurskod
            else 
              strEstVal = strEstVal & ", " & strKurskod
            end if 
          end if

          if strKursTyp = "ANNATVAL" and ( strAlt = "1" or strAlt = "" ) and strKuvValnr = strValnr then
            if strEstVal = "" then
              strAnnatVal = strKurskod
            else 
              strAnnatVal = strAnnatVal & ", " & strKurskod
            end if 
          end if
    
          if InStr(1, strKursTyp, "SPRK_", 1) > 0 and strIntStatus = "I" and strStudievag = strKursStv and strKom = strKursKom and ( strAlt = "1" or strAlt = "" ) and strKuvValnr = strValnr then
            if strSprak1 = "" then
              strSprak1 = strKurskod
            else 
              strSprak1 = strSprak1 & ", " & strKurskod
            end if 
          end if
    
          if strKursTyp = "VALBAR" and ( strAlt = "1" or strAlt = "" ) and strKuvValnr = strValnr then
            if strValBar = "" then
              strValBar = strKurskod
            else 
              strValBar = strValBar & ", " & strKurskod
            end if 
          end if

          if strKursTyp = "VALOBLIG" and ( strAlt = "1" or strAlt = "" ) and strKuvValnr = strValnr  then
            if strValOblig = "" then
              strValOblig = strKurskod
            else 
              strValOblig = strValOblig & ", " & strKurskod
            end if 
          end if

        else

          if (strAlt = "1" or strAlt = "") and strKuvValnr = strValnr and strKursTyp <> "MODERSMAL" then
            if strOvrigaKursval = "" then
              strOvrigaKursval = strKursTyp & " - " & strKurskod
            else 
              strOvrigaKursval = strOvrigaKursval & ", " & strKursTyp & " - " & strKurskod
            end if 
          end if

        end if

      end if 'kursval..
        
      Dim bOrgBet
      bOrgBet = true

      if bOrgBet = true then
        strBetyg = GetBetyg("VT", strPnr)
        strBetVarde = strBetVardeVT
        bPrelBet = false
        'logthis("strBetyg: " & strBetyg)
        if trim(strBetyg) = "" then
          strBetyg = GetBetyg("HT", strPnr)
          strBetVarde = strBetVardeHT
        end if
      else
        strBetyg = GetBetyg("HT", strPnr)
        strBetVarde = strBetVardeHT
        bPrelBet = false
        if trim(strBetyg) = "" then
          strBetyg = GetBetyg("VT", strPnr)
          strBetVarde = strBetVardeVT
        end if
      end if

      rs.MoveNext

      if not rs.EOF then   
        strPnrCmp = trim(rs("PERSONNR"))
      else
        strPnrCmp = ""
      end if

      if not strPnrCmp = strPnr then
        iAntalIntagna = iAntalIntagna+1
        if strIndVal1 = "" then strIndVal1 = " " end if
        if strIndVal2 = "" then strIndVal2 = " " end if
        if strEstVal = "" then strEstVal = " " end if
        if strSprak1 = "" then strSprak1 = " " end if
      
        if strAnnatVal = "" then strAnnatVal = " " end if
        if strValBar = "" then strValBar = " " end if
        if strValOblig = "" then strValOblig = " " end if
        if strModersmal = "" then strModersmal = " " end if
        if strSv2 = "" then strSv2 = " " end if
        if strCOAdress = "" then strCOAdress = " " end if
        bPrintStudent = true
      else 
        bPrintStudent = false
      end if ' strPnr <> rs("PERSONNR")
      
      if Session("RA_ExportAntElev") = "ANTAGNA" then

        if bPrintStudent = true then
      
          strTableStudent = strTableStudent & "<TR bgcolor=""" & Server.HTMLEncode(strColorHeader) & """>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strUserPnr) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValnr) & "</TD>" 
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetSchoolName(strSkolaPlac)) & "</TD>" 
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strStudievag) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strInriktning) & "</TD>"      
        
          'KURSVAL
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strAnnatVal) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strEstVal) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strIndVal1) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strModersmal) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSv2) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSprak1) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValBar) & "</TD>"      
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValOblig) & "</TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strOvrigaKursval) & "</TD>"

          'NAMN & ADRESS
          strTableStudent = strTableStudent & "<TD width=180 align=Left><FONT class=SmallFont>" & Server.HTMLEncode(strFNamn) & "&nbsp;</FONT></TD>"
          strTableStudent = strTableStudent & "<TD width=180 align=Left><FONT class=SmallFont>" & Server.HTMLEncode(strENamn) & "&nbsp;</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strAdress) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strCOAdress) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strPostnr) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strOrt) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTeleHem) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTelMobil) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTelAnnan) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strEpost) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetKommunInfo(strHemK)) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetSchoolName(strSkola_Avl)) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strKlass) & "</FONT></TD>"

          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strMeritVarde) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strBetVarde) & "</FONT></TD>"
        
          'BETYG
          strTableStudent = strTableStudent & GetBetygTD( strBetyg )

          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strIntDat) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSvar) & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strUpplysning) & "</FONT></TD>"

          Response.Write strTableStudent
          if strColorHeader = cTableBgColor1 or strColorHeader = "" then
            strColorHeader = cTableBgColor2
          else
            strColorHeader = cTableBgColor1
          end if
  
          'Nolla vissa vrden...
          strTableStudent = ""
          strIndVal1 = ""
          strIndVal2 = ""
          strEstVal = ""
          strSprak1 = ""
          strModersmal = ""
          strSv2 = ""
          strValBar = ""
          strValOblig = ""
          strAnnatVal = ""
          strOvrigaKursval = ""
          strUpplysning = ""
        
        end if ' Bara en gng..
      else ' EJ ANTAGNA
      
        strTableStudent = strTableStudent & "<TR bgcolor=""" & Server.HTMLEncode(strColorHeader) & """>"
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strUserPnr & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValnr & "") & "</TD>" 
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetSchoolName(strOnskadSkola) & "") & "</TD>" 
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetKommunInfo(strKom) & "") & "</TD>" 
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strStudievag & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strInriktning & "") & "</TD>"      
        
        'KURSVAL
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strAnnatVal & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strEstVal & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strIndVal1 & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strModersmal & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSv2 & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSprak1 & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValBar & "") & "</TD>"      
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strValOblig & "") & "</TD>"
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strOvrigaKursval & "") & "</TD>"
        strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetKlartextBehorighet(strBehorighet) & "") & "</TD>"

        if strValnr = "1"  or IsNull(strValnr) then

          'NAMN & ADRESS
          strTableStudent = strTableStudent & "<TD width=180 align=Left><FONT class=SmallFont>" & Server.HTMLEncode(strFNamn & "") & "&nbsp;</FONT></TD>"
          strTableStudent = strTableStudent & "<TD width=180 align=Left><FONT class=SmallFont>" & Server.HTMLEncode(strENamn & "") & "&nbsp;</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strAdress & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strCOAdress & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strPostnr & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strOrt & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTeleHem & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTelMobil & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strTelAnnan & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strEpost & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetKommunInfo(strHemK) & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(GetSchoolName(strSkola_Avl) & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strKlass & "") & "</FONT></TD>"

          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strMeritVarde & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strBetVarde & "") & "</FONT></TD>"
        
          'BETYG
          strTableStudent = strTableStudent & GetBetygTD( strBetyg )

          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strSvar & "") & "</FONT></TD>"
          strTableStudent = strTableStudent & "<TD><FONT class=SmallFont>" & Server.HTMLEncode(strUpplysning & "") & "</FONT></TD>"
        else
          for i = 0 to 41
            strTableStudent = strTableStudent & "<TD width=180 align=Left><FONT class=SmallFont> </FONT></TD>"
          next
        end if

        if bPrintStudent = true then
          if strColorHeader = cTableBgColor1 or strColorHeader = "" then
            strColorHeader = cTableBgColor2
          else
            strColorHeader = cTableBgColor1
          end if
        end if
  
        Response.Write strTableStudent
        'Nolla vissa vrden...
        strTableStudent = ""
        strIndVal1 = ""
        strIndVal2 = ""
        strEstVal = ""
        strSprak1 = ""
        strModersmal = ""
        strSv2 = ""
        strValBar = ""
        strValOblig = ""
        strAnnatVal = ""
        strOvrigaKursval = ""
        strUpplysning = ""
        
      end if

    loop

  end if 'BOF & EOF

  Session("TraceSQL") = Session("TraceSQL") & "<br>Hits: " & nCount & "<BR>"

  rs.Close
  cn.Close
  set rs = nothing
  set cn = nothing
  set cmd = nothing

  WriteRows = iAntalIntagna
  
End Function
'********************************************************************************************
'*******************************************************************************************
Function GetBetygTD( strBetyg )

  if Len(strBetyg) > 25 then

    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Left(strBetyg, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 2, 1)& "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 3, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 4, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 5, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 6, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 7, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 8, 1) & "&nbsp;</font></td>"

    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 9, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 10, 1) & "&nbsp;</font></td>"

    'ELEVENS VAL
    if Trim(Mid(strBetyg, 11, 1)) <> "" then
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 11, 1) & "&nbsp;(" & Server.HTMLEncode(Session("ElevensVal_Gr")) & ")</font></td>"
    else
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 11, 1) & "&nbsp;</font></td>"
    end if
    'SPRKVAL
    if Trim(Mid(strBetyg, 12, 1)) <> "" then
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 12, 1) & "&nbsp;(" & Server.HTMLEncode(Session("SprakVal_Gr")) & ")</font></td>"
    else
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 12, 1) & "&nbsp;</font></td>"
    end if
    'MODERSMLSVAL
    if Trim(Mid(strBetyg, 13, 1)) <> "" then
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 13, 1) & "&nbsp;(" & Server.HTMLEncode(Session("Elevens_Modersmal")) & ")</font></td>"
    else
      strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 13, 1) & "&nbsp;</font></td>"
    end if

    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 14, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 15, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 16, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 17, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 18, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 19, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 20, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 21, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 22, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 23, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 24, 1) & "&nbsp;</font></td>"
    strRetString = strRetString & "<td width=28><Font class=FontKvittoText>" & Mid(strBetyg, 25, 1) & "&nbsp;</font></td>"

  end if 'Len strBetyg

 GetBetygTD = strRetString

End Function

'********************************************************************************************
'*******************************************************************************************
Function GetKlartextBehorighet(iBehorighet)
  
  Dim cnKOD, rsKOD, strSQL, strKodText, cmd
  
  Set cnKOD = Server.CreateObject("ADODB.Connection")
  Set rsKOD = Server.CreateObject("ADODB.Recordset")
  Set cmd = Server.CreateObject("ADODB.Command")

  strSQL = "SELECT KLARTEXT FROM KJ0V0KOD KOD "
  strSQL = strSQL & " WHERE KOD.KODTYP = 'BEHRIGHET' AND KOD=?"
  strSQL = strSQL & " ORDER BY KOD "
  
  cmd.Parameters.Append cmd.CreateParameter("@kod", adVarChar, adParamInput, 10, iBehorighet)

  cnKOD.Open Application("DataCon")
  Set cmd.ActiveConnection = cnKOD
  cmd.CommandText = strSQL
  cmd.CommandType = adCmdText
  rsKOD.Open cmd,,3,1
  
  if not (rsKOD.BOF and rsKOD.EOF) then
    
    do until rsKOD.EOF
      
      strKodText = trim(rsKOD("KLARTEXT"))
      rsKOD.MoveNext 

    loop
    
  end if 'BOF
  
  rsKOD.Close
  cnKOD.Close
  set rsKOD = nothing
  set cnKOD = nothing  
  set cmd = nothing
  
  GetKlartextBehorighet = strKodText 

End Function

%>
