<%

' ================================%FUNCTION%================================================
' Metod                checkSSOUser
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           string          Artifact           
'
' Retunerar            Anvndarens personnummer
'
' Beskrivning          
' ================================%ENDFUNCTION%=============================================
function checkSSOUser(Artifact)

  Dim request
  Dim userPnr
  userPnr = ""

  Set request = Createobject("TE.HW.HttpUtility.AuthenticationRequest")
  request.Uri = "https://services.rexnet.se/Services/v1/corews.asmx"
  userPnr = request.SSOAuthenticate(Artifact)
  
  if(userPnr = "" or userPnr = null or len(userPnr) < 10) then
    userPnr = ""
  end if

  checkSSOUser = userPnr

end function




' ================================%FUNCTION%================================================
' Metod                SSOWithSOAP
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           string          Artifact           
'
' Retunerar            
'
' Beskrivning          
' ================================%ENDFUNCTION%=============================================
function SSOWithSOAP(Artifact)

  Dim SOAPClient
  Dim Result
  Dim userPnr

  Set SOAPClient = CreateObject("MSSOAP.SoapClient")
  SOAPClient.ClientProperty("ServerHTTPRequest") = True

  SOAPClient.mssoapinit "https://services.rexnet.se/v1/corews.asmx?wsdl", "CoreWS", "CoreWSSoap12"

  Set Result = SOAPClient.ResolveArtifact(Artifact)

  userPnr = Result.item(0).Text

  if(userPnr = "" or userPnr = null or len(userPnr) < 10) then
    Session("Err_Msg") = "23"
    userPnr = ""
  end if

  SSOWithSOAP = userPnr

end function

%>