<SCRIPT LANGUAGE=VBScript RUNAT=Server>

' ================================%FUNCTION%====================================
' Metod                GetDatabaseUpdTime
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           String                          Tid!
' Beskrivning          Returnerar tid enlig TTMMSSHHH    
' ================================%ENDFUNCTION%=================================
Function GetDatabaseUpdTime()

  Dim strTime, strTemp, strHour, strMin, strSec
  strTemp = Time()
  
  strHour = Hour(strTemp)
  if Len(strHour) = 1 then strHour = "0" & strHour end if

  strMin = Minute(strTemp)
  if Len(strMin) = 1 then strMin = "0" & strMin end if 

  strSec = Second(strTemp)
  if Len(strSec) = 1 then strSec = "0" & strSec end if 
  
  strTime = strHour & strMin & strSec & "000"
  
  GetDatabaseUpdTime = strTime
  
End Function 


' ================================%FUNCTION%===================================
' Metod                CheckDataSelection(cnPROC)
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar                     
' Retunerar            
'
' Beskrivning          Anvnds fr att kolla om dataurval anvnds
' ================================%ENDFUNCTION%=================================
function CheckDataSelection(cnPROC)

	Dim rsPROC, strQuery, rsSelection, upddat, updtid
  
  Set rsSelection = Server.CreateObject("ADODB.Recordset")
  
  upddat =  GetToday()
	updtid = GetDatabaseUpdTime()
			
	if Application("DataSelection") = "true" then
			
		if Ucase(Application("DBMS")) = "ORACLE" then
			
			strQuery = "DELETE FROM KJ1P0SESS WHERE SESSID = userenv('SESSIONID')"
			
			rsSelection.Open strQuery, cnPROC, 1, 3
			
			strQuery = "INSERT INTO KJ1P0SESS (CSSANV, SESSID, UPDDAT, UPDTID) "
			strQuery = strQuery & "VALUES ('BoUWebb', userenv('SESSIONID'), '" & upddat & "', '" & updtid & "') "
			
			rsSelection.Open strQuery, cnPROC, 1, 3
			
		elseif (Application("DBMS") = "SQL") then
				
			strQuery = "EXECUTE KJ1_DELETE_SESS "
			
			rsSelection.Open strQuery, cnPROC, 1, 3
			
			strQuery = "INSERT INTO KJ1P0SESS (CSSANV, SESSID, UPDDAT, UPDTID) "
			strQuery = strQuery & "VALUES ('BoUWebb', @@spid, '" & upddat & "', '" & updtid & "') "
			
			rsSelection.Open strQuery, cnPROC, 1, 3
				
		end if
		
		set rsSelection = nothing
		
	end if
end function



' ================================%FUNCTION%===================================
' Metod                ClearDataSelection()
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar                     
' Retunerar            
'
' Beskrivning          Tmmer sessionsid:et frn databastabellen
' ================================%ENDFUNCTION%=================================
function ClearDataSelection(cnPROC)

	Dim rsPROC, strQuery, rsSelection

  Set rsSelection = Server.CreateObject("ADODB.Recordset")
			
	if (Application("DataSelection") = "true") then
			
		if (Application("DBMS") = "ORACLE") then
			
			strQuery = "DELETE FROM KJ1P0SESS WHERE SESSID = userenv('SESSIONID') AND CSSANV = 'BoUWebb'"
			
			rsSelection.Open strQuery, cnPROC, 0, 2
			
		elseif (Application("DBMS") = "SQL") then
				
			strQuery = "EXECUTE KJ1_DELETE_SESS "
			
			rsSelection.Open strQuery, cnPROC, 0, 2	
				
		end if		
	
		set rsSelection = nothing
		
	end if
	
end function

</SCRIPT>