<!-- #include file = "Inc_dataurval.asp" -->
<!-- #include file = "ADOVBS.ASP" -->

<SCRIPT LANGUAGE=VBScript RUNAT=Server>

' ================================%WEBMETHOD%=================================
' Metod									readWebGrp
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						string          |skolenhet			|Enhetskod
' Parametrar						string          |arskurs				|rskurs
' Parametrar						string          |program				|Program som eleven gr
' Parametrar						string          |typ						|Typ av val
' Returnerar						ARRAY						 arStPlan			   semikolonseparerad
'												
' Beskrivning						Lser upp hur kurser och grupper fr valbara sidan
' ================================%ENDWEBMETHOD%==============================
Function readWebGrp(skolenhet, arskurs, program, typ, sortOrder, sortPeriod)
	'On error resume next
	Dim iCount, cnSQL, cmdSQL, strDataCon_Proc, rs, strQueryAlt, strKursList, prevTypAvGrp
	Dim blockKurslista, prevAntAlt, prevAntList, iRad, iRow, strSkolKod, strSkolNamn, strAk
	Dim strProgram, strPGMNamn, strGrenNamn, strPeriod, strSkolEnhet, strArsKurs, grpKod, grpPres
	Dim grpTyp, nbOfRadios, nbOfListor, grpPoang, grpPoangMax, grpPoangMin, strGrpInfo, strGrpUrl
	Dim KursKod, kursNamn, kursTyp, strKursUrl, strKursInfo, strKursPoang, periodFromDat
	Dim periodTomDat, prevGrpPres, PrevNbOfList, iX, prevGrpPeriod, strRet
	Dim exaktPoang_valb, minPoang_valb, maxPoang_valb, exaktPoang_ind, minPoang_ind
	Dim maxPoang_ind, paramProgramWub, paramProgramWgr, paramTypBlock, paramTypPaket, paramTypFria, paramArskurs, paramSkolenhet

	' SKAPAR UPP REGLER FR PAKET P VALBARA OCH INDIVIDUELLA SIDAN
	SESSION("EXAKTPOANG_VALB") = 0
	SESSION("MINPOANG_VALB") = 0
	SESSION("MAXPOANG_VALB") = 0
	SESSION("EXAKTPOANG_IND") = 0
	SESSION("MINPOANG_IND") = 0
	SESSION("MAXPOANG_IND") = 0
	exaktPoang_valb = 0
	minPoang_valb = 0
	maxPoang_valb = 0
	exaktPoang_ind = 0
	minPoang_ind = 0
	maxPoang_ind = 0

	iCount = 0
	Set cnSQL = Server.CreateObject("ADODB.Connection")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
    Set rs = Server.CreateObject("ADODB.Recordset")

	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen

    Set cmdSQL.ActiveConnection = cnSQL
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information

	strQueryAlt = "SELECT SKO.UPDDAT, SKO.SKOLENHET, SKO.SKOLNAMN, WGR.ARSKURS, SPR.PROGRAM, SPR.PGMNAMN, SPR.GRENNAMN, WGR.TYP, WUB.PERIOD, WGR.BLOCK_PAKET, " 
	strQueryAlt = strQueryAlt & "WGR.PROGRAM, WGR.PRESENTATION, WGR.ALTERNATIV, WGR.ANTAL_VALLISTOR, WGR.POANG, WGR.MAX_POANG, WGR.MIN_POANG, WUB.KURSKOD, "
    strQueryAlt = strQueryAlt & "SKU.KURSNAMN, WUB.KURSTYP, SPD.FROMDAT, SPD.TOMDAT, SKU.POANG AS KURS_POANG, WGR.W_INFO AS WGR_INFO, WGR.W_URL AS WGR_URL, "
    strQueryAlt = strQueryAlt & "WUB.W_INFO AS WUB_INFO, WUB.W_URL AS WUB_URL "
    strQueryAlt = strQueryAlt & "FROM KJGV0SKO SKO "
    strQueryAlt = strQueryAlt & "JOIN KJGV0WGR WGR ON SKO.SKOLENHET = WGR.SKOLENHET "
    strQueryAlt = strQueryAlt & "LEFT JOIN KJGV0SPR SPR ON (WGR.SKOLFORM = SPR.SKOLFORM AND WGR.SKOLENHET = SPR.SKOLENHET AND WGR.PROGRAM = SPR.PROGRAM) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0WUB WUB ON ( (WGR.PROGRAM = WUB.PROGRAM OR WUB.PROGRAM = ' ' OR WUB.PROGRAM = ? ) "
    strQueryAlt = strQueryAlt & "AND WGR.ARSKURS = WUB.ARSKURS AND WGR.BLOCK_PAKET = WUB.BLOCK_PAKET AND WGR.TYP = WUB.TYP "
    strQueryAlt = strQueryAlt & "AND WGR.SKOLFORM = WUB.SKOLFORM AND WGR.SKOLENHET = WUB.SKOLENHET ) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPD SPD ON (WUB.SKOLFORM = SPD.SKOLFORM AND WUB.SKOLENHET = SPD.SKOLENHET AND WUB.PERIOD = SPD.PERIOD) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (SKU.SKOLFORM = WUB.SKOLFORM AND SKU.SKOLENHET = WUB.SKOLENHET AND WUB.KURSKOD = SKU.KURSKOD) "
    strQueryAlt = strQueryAlt & "WHERE WGR.PROGRAM IN ( ? , ' ') AND WGR.TYP IN ( ?, ?, ? ) AND WUB.W_DOLD <> '1' "
    strQueryAlt = strQueryAlt & "AND WGR.ARSKURS = ? "
    strQueryAlt = strQueryAlt & "AND WUB.SKOLENHET = ? AND WUB.SKOLFORM = 'GY' "
    strQueryAlt = strQueryAlt & "ORDER BY WGR.ARSKURS, "
    
    If trim( sortPeriod ) = "GROUP" then
		strQueryAlt = strQueryAlt & "WGR.BLOCK_PAKET, WUB.PERIOD, WGR.TYP, "
	ElseIf trim( sortPeriod ) = "PERIOD" then
		strQueryAlt = strQueryAlt & "WUB.PERIOD, WGR.BLOCK_PAKET, WGR.TYP, "
	Else
		strQueryAlt = strQueryAlt & "WGR.TYP, WUB.PERIOD, WGR.BLOCK_PAKET, "
	End if
	strQueryAlt = strQueryAlt & "WGR.PRESENTATION, "
	If trim( sortOrder ) = "KURSKOD" then
		strQueryAlt = strQueryAlt & "WUB.KURSKOD"
	Else
		strQueryAlt = strQueryAlt & "SKU.KURSNAMN"
	End if

    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramProgramWub = cmdSQL.CreateParameter ("programWub", adVarChar, adParamInput, 10)
    paramProgramWub.value = program
    cmdSQL.Parameters.Append paramProgramWub

    Set paramProgramWgr = cmdSQL.CreateParameter ("programWgr", adVarChar, adParamInput, 10)
    paramProgramWgr.value = program
    cmdSQL.Parameters.Append paramProgramWgr

    Set paramTypBlock = cmdSQL.CreateParameter ("typBlock", adVarChar, adParamInput, 10)
    paramTypBlock.value = "BLOCK_" & typ
    cmdSQL.Parameters.Append paramTypBlock

    Set paramTypPaket = cmdSQL.CreateParameter ("typPaket", adVarChar, adParamInput, 10)
    paramTypPaket.value = "PAKET_" & typ
    cmdSQL.Parameters.Append paramTypPaket

    Set paramTypFria = cmdSQL.CreateParameter ("typFria", adVarChar, adParamInput, 10)
    paramTypFria.value = "FRIA_" & typ
    cmdSQL.Parameters.Append paramTypFria

    Set paramArskurs = cmdSQL.CreateParameter ("arskurs", adVarChar, adParamInput, 2)
    paramArskurs.value = arskurs
    cmdSQL.Parameters.Append paramArskurs

    Set paramSkolenhet = cmdSQL.CreateParameter ("skolenhet", adVarChar, adParamInput, 4)
    paramSkolenhet.value = skolenhet
    cmdSQL.Parameters.Append paramSkolenhet

    rs.Open cmdSQL,,3,1
	
	IF NOT rs.BOF AND NOT rs.EOF then
		Dim arEduList()
		Dim strKurser, prevGrp, prevGrpKod, prevKurstyp
		Dim TRentry, strNoCh
		
		strKursList = ""
		blockKurslista = ""
		prevAntAlt = 1
		prevAntList = 0
		iRad = 1
		iRow = 0
		redim arEduList(1)
		WHILE NOT rs.EOF
			strSkolKod = ""
			strSkolNamn = ""
			strAK = ""
			strProgram = ""
			strPGMNamn = ""
			strGrenNamn = ""
			strPeriod = ""

			strSkolenhet =trim( rs("SKOLENHET") )
			strSkolNamn = trim( rs("SKOLNAMN") )
			strPeriod = trim( rs("PERIOD") )
			strArskurs = trim( rs("ARSKURS") )
			strProgram = trim( rs("PROGRAM") )
			strPGMNamn = "PGMNAMN"'trim( rs("PGMNAMN") )
			strGrenNamn = "GRENNAMN"'trim( rs("GRENNAMN") )
			grpKod = trim( rs("BLOCK_PAKET") )
			grpPres = trim( rs("PRESENTATION") )
			grpTyp = trim( rs("TYP") )
			nbOfRadios = trim( rs("ALTERNATIV") )
			nbOfListor = trim( rs("ANTAL_VALLISTOR") )
			grpPoang = rs("POANG")
			grpPoangMax = rs("MAX_POANG")
			grpPoangMin = rs("MIN_POANG")
			kursKod = rs("KURSKOD")
			kursNamn = rs("KURSNAMN")
			kursTyp = rs("KURSTYP")
			periodFromDat = trim( rs("FROMDAT") )
			periodTomDat = trim( rs("TOMDAT") )
			
			strGrpInfo = trim( rs("WGR_INFO") )
			strGrpUrl = trim( rs("WGR_URL") )
			strKursPoang = trim( rs("KURS_POANG") )
			strKursURL = trim( rs("WUB_URL") )
			strKursInfo = trim( rs("WUB_INFO") )
			
			If trim( grpPoang ) = "" then grpPoang = 0 end if
			If trim( grpPoangMin ) = "" then grpPoangMin = 0 end if
			If trim( grpPoangMax ) = "" then grpPoangMax = 0 end if
			
			' Vi lgger undan regler fr paketen
			If trim( grpTyp ) = "PAKET_VALB" then
				If CDBl( grpPoang ) > CDbl( exaktPoang_valb ) then exaktPoang_valb = grpPoang end if
				If CDBl( grpPoangMin ) > CDbl( minPoang_valb ) then minPoang_valb = grpPoangMin end if
				If CDBl( grpPoangMax ) > CDbl( maxPoang_valb ) then maxPoang_valb = grpPoangMax end if
			End if
			If trim( grpTyp ) = "PAKET_IND" then
				If CDBl( grpPoang ) > CDBL(exaktPoang_ind) then exaktPoang_ind = grpPoang end if
				If CDBl( grpPoangMin ) > CDBL(minPoang_ind) then minPoang_ind = grpPoangMin end if
				If CDBl( grpPoangMax ) > CDBL(maxPoang_ind) then maxPoang_ind = grpPoangMax end if
			End if
			SESSION("EXAKTPOANG_VALB") = exaktPoang_valb
			SESSION("MINPOANG_VALB") = minPoang_valb
			SESSION("MAXPOANG_VALB") = maxPoang_valb
			SESSION("EXAKTPOANG_IND") = exaktPoang_ind
			SESSION("MINPOANG_IND") = minPoang_ind
			SESSION("MAXPOANG_IND") = maxPoang_ind

			If NOT strPeriod = prevGrpPeriod AND NOT trim( strPeriod ) = "" then
				' D har vi en ny gruppering vare sig vi vill det eller inte.
				prevGrpKod = "NEWGRP"
			End if
			If Not grpKod = prevGrpKod then
			' Ny grupp
				If InStr(1,grpTyp,"BLOCK",1) then
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "GRUPPDATA;" &strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
				Elseif InStr(1,grpTyp,"PAKET",1) then
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "GRUPPDATA;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
				Else
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "GRUPPDATA;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
				End if
			Else
				If InStr(1,trim( rs("TYP") ),"BLOCK",1) OR InStr(1,trim( rs("TYP") ),"FRIA",1) then
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
				Else
					If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) = "" then
						redim preserve arEduList(iRow + 1)
						arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
						iRow = CDbl(iRow) + 1
					End if
				End if
			End if
			prevGrpKod = trim( rs("BLOCK_PAKET") )
			prevGrpPres = trim( rs("PRESENTATION") )
			prevGrpPeriod = trim( rs("PERIOD") )
			
			iCount = iCount + 1
			rs.MoveNext
		WEND
	End if
		
	'SKOLENHET;PERIOD;KURSTYP;TYP
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close
	set rs = nothing
	cnSQL.Close
	Set cnSQL = nothing
	
	if Err.number > 0 then
		readWebGrp = Err.Description
		Err.Clear
	ElseIf iCount > 0 then
		readWebGrp = arEduList
	Else
		strRet = "<Font Class='txt_black'><B>"
		if typ = "VALB" then
			strRet = strRet & APPLICATION ("IngetValValbara")
		Else
			strRet = strRet & APPLICATION ("IngetValIndividuella")
		End if
		strRet = strRet & "<BR></Font><BR><BR>"
		readWebGrp = strRet
	End if
	
End Function  'readWebGrp

' ================================%WEBMETHOD%=================================
' Metod									readSchoolUnit
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						                |								|
' Returnerar														|								|
'												
' Beskrivning						Lser upp skolenheter
' ================================%ENDWEBMETHOD%==============================
Function readSchoolUnit()
	DIm arSkolEnh, vRet
	vRet = false
	arSkolEnh = APPLICATION("SKOLENHETER")
	If IsArray( arSkolEnh ) then
		Response.Write "<SELECT id=skolEnh name=skolEnh>"
		For each sch in arSkolEnh
			If not trim( sch ) = "" then
				Response.Write "<OPTION value='"& getStringPart( sch,1 )  &"'>"& sch &"</OPTION>"
			End if
		Next
		Response.Write "</SELECT>"
		vRet = true
	End if
	
	readSchoolUnit = vRet
End Function 'readSchoolUnit()



' ================================%WEBMETHOD%=================================
' Metod									readSchoolPeriod
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						                |								|
' Returnerar														|								|
'												
' Beskrivning						Lser upp perioder fr skolenheten   TEST
' ================================%ENDWEBMETHOD%==============================
Function readSchoolPeriod()
	Dim arPeriod, vRet
	vRet = false
	arPeriod = APPLICATION("SKOLPERIOD")
	If IsArray( arSkolEnh ) then
		Response.Write "<SELECT id=skolPer name=skolPer>"
		For each sch in arSkolEnh
			If not trim( sch ) = "" then
				Response.Write "<OPTION value='"& getStringPart( sch,1 )  &"'>"& sch &"</OPTION>"
			End if
		Next
		Response.Write "</SELECT>"
		vRet = true
	End if
	readSchoolPeriod = vRet
End Function  'readSchoolPeriod


' ================================%WEBMETHOD%=================================
' Metod								readSumRulesWithAlternative
' tkomst								
'									Typ             Namn                Beskrivning / Status
'									--------------- --------------- ----------------------
' Parametrar						string          |skolenhet			|Enhetskod
' Parametrar						string          |arskurs			|rskurs
' Parametrar						string          |program			|Program som eleven gr
' Parametrar						string          |typ				|Typ av regel
' Parametrar						string          |alternativ			|Alternativ
'												
' Beskrivning						Lser upp regel fr totalsummering p sidan.
' ================================%ENDWEBMETHOD%==============================
Function readSumRulesWithAlternative(skolenhet, arskurs, program, typ, alternativ)
	'On error resume next
	Dim iCount, cnSQL, cmdSQL, strDataCon_Proc, rs, strQueryAlt, strTypeOfRule
	Dim sidPoangMin, sidPoangMax, sidPoang
	Dim strAlternativ, paramSkolenhet, paramAlternativ, paramProgram
	
	iCount = 0
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set cmdSQL = Server.CreateObject("ADODB.Command")
    Set rs = Server.CreateObject("ADODB.Recordset")

	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information

	' Vilken sorts regel skall hmtas? P valbara eller p individuella?
	If trim(left(typ,4)) = "VALB" then
		strTypeOfRule = "VALB"
	Elseif trim(left(typ,3)) = "IND" then
		strTypeOfRule = "IND"
	Else
		strTypeOfRule = ""
	End if
	
	strQueryAlt = "SELECT KJGV0WGR.UPDDAT, KJGV0WGR.POANG, KJGV0WGR.MAX_POANG, KJGV0WGR.MIN_POANG, KJGV0WGR.ALTERNATIV, "
	strQueryAlt = strQueryAlt & "KJGV0WGR.TYP FROM KJGV0WGR "
	strQueryAlt = strQueryAlt & "WHERE KJGV0WGR.TYP='REGEL_"& strTypeOfRule &"' "
	If trim( arskurs ) = "2" then
		strQueryAlt = strQueryAlt & "AND KJGV0WGR.ARSKURS='2' "
	ElseIf trim( arskurs ) = "3" then
		strQueryAlt = strQueryAlt & "AND KJGV0WGR.ARSKURS='3' "
	Else
		strQueryAlt = strQueryAlt & "AND ( NOT KJGV0WGR.ARSKURS='2' "
		strQueryAlt = strQueryAlt & "AND NOT KJGV0WGR.ARSKURS='3' ) "
	End if
	strQueryAlt = strQueryAlt & "AND KJGV0WGR.SKOLENHET = ? "
	'Alternative
	strQueryAlt = strQueryAlt & "AND KJGV0WGR.ALTERNATIV = ? "
	If not trim( program ) = "" then
		strQueryAlt = strQueryAlt & "AND (KJGV0WGR.PROGRAM = ? OR KJGV0WGR.PROGRAM=' ' )"
	End if
	
	strQueryAlt = strQueryAlt & "order by KJGV0WGR.ARSKURS "

    Set cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramSkolenhet = cmdSQL.CreateParameter ("skolenhet", adVarChar, adParamInput, 4)
    paramSkolenhet.value = skolenhet
    cmdSQL.Parameters.Append paramSkolenhet

    Set paramAlternativ = cmdSQL.CreateParameter ("alternativ", adVarChar, adParamInput, 2)
    paramAlternativ.value = alternativ
    cmdSQL.Parameters.Append paramAlternativ

	If not trim( program ) = "" then
        Set paramProgram = cmdSQL.CreateParameter ("program", adVarChar, adParamInput, 10)
        paramProgram.value = program
        cmdSQL.Parameters.Append paramProgram
    End if

    rs.Open cmdSql, , 3, 1
	
	IF NOT rs.BOF AND NOT rs.EOF then		
		While not rs.EOF
			redim preserve arRuleList(iCount + 1)
			sidPoang = rs("POANG")
			sidPoangMin = rs("MIN_POANG")
			sidPoangMax = rs("MAX_POANG")
			strAlternativ = rs("ALTERNATIV")
			
			If trim( sidPoang ) = "" then sidPoang = 0 end if
			If trim( sidPoangMin ) = "" then sidPoangMin = 0 end if
			If trim( sidPoangMax ) = "" then sidPoangMax = 0 end if
			
			arRuleList(iCount) = sidPoang & ";" & sidPoangMin & ";" & sidPoangMax
			iCount = iCount + 1
			rs.MoveNext
		WEND
	End if
		
	'SKOLENHET;PERIOD;KURSTYP;TYP
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close
	set rs = nothing
	cnSQL.Close
	Set cnSQL = nothing
	
	if Err.number > 0 then
		readSumRulesWithAlternative = "FEL"
		readSumRulesWithAlternative = Err.Description
		Err.Clear
	ElseIf iCount > 0 then
		readSumRulesWithAlternative = arRuleList
	Else
		readSumRulesWithAlternative = "Ingen array"
	End if

End Function  'readSumRules



' ================================%WEBMETHOD%=================================
' Metod									readSumRules
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						string          |skolenhet			|Enhetskod
' Parametrar						string          |arskurs				|rskurs
' Parametrar						string          |program				|Program som eleven gr
' Parametrar						string          |typ						|Typ av regel
'												
' Beskrivning						Lser upp regel fr totalsummering p sidan.
' ================================%ENDWEBMETHOD%==============================
Function readSumRules(skolenhet, arskurs, program, typ)
	'On error resume next
	Dim iCount, cnSQL, cmdSQL, strDataCon_Proc, rs, strQueryAlt, strTypeOfRule
	Dim sidPoangMin, sidPoangMax, sidPoang
	Dim strAlternativ, paramSkolenhet, paramProgram
	
	iCount = 0
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set cmdSQL = Server.CreateObject("ADODB.Command")
    Set rs = Server.CreateObject("ADODB.Recordset")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information
	
	' Vilken sorts regel skall hmtas? P valbara eller p individuella?
	If trim(left(typ,4)) = "VALB" then
		strTypeOfRule = "VALB"
	Elseif trim(left(typ,3)) = "IND" then
		strTypeOfRule = "IND"
	Else
		strTypeOfRule = ""
	End if
	
	strQueryAlt = "SELECT KJGV0WGR.UPDDAT, KJGV0WGR.POANG, KJGV0WGR.MAX_POANG, KJGV0WGR.MIN_POANG, KJGV0WGR.ALTERNATIV, "
	strQueryAlt = strQueryAlt & "KJGV0WGR.TYP FROM KJGV0WGR "
	strQueryAlt = strQueryAlt & "WHERE KJGV0WGR.TYP='REGEL_"& strTypeOfRule &"' "
	If trim( arskurs ) = "2" then
		strQueryAlt = strQueryAlt & "AND KJGV0WGR.ARSKURS='2' "
	ElseIf trim( arskurs ) = "3" then
		strQueryAlt = strQueryAlt & "AND KJGV0WGR.ARSKURS='3' "
	Else
		strQueryAlt = strQueryAlt & "AND ( NOT KJGV0WGR.ARSKURS='2' "
		strQueryAlt = strQueryAlt & "AND NOT KJGV0WGR.ARSKURS='3' ) "
	End if
	strQueryAlt = strQueryAlt & "AND KJGV0WGR.SKOLENHET= ? "
	If not trim( program ) = "" then
		strQueryAlt = strQueryAlt & "AND (KJGV0WGR.PROGRAM= ? OR KJGV0WGR.PROGRAM=' ' )"
	End if
	
	strQueryAlt = strQueryAlt & "order by KJGV0WGR.ARSKURS "

    Set cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramSkolenhet = cmdSQL.CreateParameter ("skolenhet", adVarChar, adParamInput, 4)
    paramSkolenhet.value = skolenhet
    cmdSQL.Parameters.Append paramSkolenhet

	If not trim( program ) = "" then
        Set paramProgram = cmdSQL.CreateParameter ("program", adVarChar, adParamInput, 10)
        paramProgram.value = program
        cmdSQL.Parameters.Append paramProgram
    End if

    rs.Open cmdSQL,,3,1

	IF NOT rs.BOF AND NOT rs.EOF then		
		While not rs.EOF
			redim preserve arRuleList(iCount + 1)
			sidPoang = rs("POANG")
			sidPoangMin = rs("MIN_POANG")
			sidPoangMax = rs("MAX_POANG")
			strAlternativ = rs("ALTERNATIV")
			
			If trim( sidPoang ) = "" then sidPoang = 0 end if
			If trim( sidPoangMin ) = "" then sidPoangMin = 0 end if
			If trim( sidPoangMax ) = "" then sidPoangMax = 0 end if
			
			arRuleList(iCount) = sidPoang & ";" & sidPoangMin & ";" & sidPoangMax
			iCount = iCount + 1
			rs.MoveNext
		WEND
	End if
		
	'SKOLENHET;PERIOD;KURSTYP;TYP
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close
	set rs = nothing
	cnSQL.Close
	Set cnSQL = nothing
	
	if Err.number > 0 then
		readSumRules = "FEL"
		readSumRules = Err.Description
		Err.Clear
	ElseIf iCount > 0 then
		readSumRules = arRuleList
	Else
		readSumRules = "Ingen array"
	End if

End Function  'readSumRules



' ================================%WEBMETHOD%=================================
' Metod									getInriktningar()
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						string          |skolenhet			|Enhetskod
' Parametrar						string          |program				|Program som eleven gr
'												
' Beskrivning						Lser upp inriktnigar.
' ================================%ENDWEBMETHOD%==============================
Function getInriktningar(skolenhet, skolform, program)

	Dim cnSQL, cmdSQL, strDataCon_Proc, strQueryAlt, arProgInriktningar(), rs, upplastaInriktningar, iRow, strProgram, strGrennamn
	Dim strGrennamnEng, arInr, strSkolenhet, strProgramNamn, strGrenKod, strSaveAs, arFilterProgInr, filterSkolenhet, filterInriktning
	Dim removeInriktn, ifShowInr00, paramSkolenhet, paramSkolform, paramProgram, paramProgram00
	
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set cmdSQL = Server.CreateObject("ADODB.Command")
    Set rs = Server.CreateObject("ADODB.Recordset")
	arFilterProgInr = Application("OPTION_FILTERPROGINRIKTN")
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	ifShowInr00 = APPLICATION("ifShowInr00")
	if trim( ifShowInr00 ) = "" then ifShowInr00 = false end if
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    'CheckDataSelection(cnSQL)
    
	program = left( program,2 )
	
	SESSION("upplastaInriktningar") = ""
	upplastaInriktningar = ""
			
	strQueryAlt = "SELECT UPDDAT, SKOLENHET, SKOLFORM, PROGRAM, PGMNAMN, GRENNAMN, "
	If APPLICATION("ifNewKolExists") = "true" then
		strQueryAlt = strQueryAlt  & "STUDIEV_MARK, AKTIV, "
	End if
	strQueryAlt = strQueryAlt  & "PGMNAMN_ENG, GRENNAMN_ENG FROM KJGV0SPR "
	strQueryAlt = strQueryAlt  & "WHERE SKOLENHET= ? "
	strQueryAlt = strQueryAlt  & "AND SKOLFORM= ? "
	strQueryAlt = strQueryAlt  & "AND PROGRAM like ? "
	If not ifShowInr00 then
		strQueryAlt = strQueryAlt  & "AND NOT PROGRAM like ? "
	End if
	If APPLICATION("ifNewKolExists") = "true" then
		strQueryAlt = strQueryAlt  & "AND STUDIEV_MARK = '1' "
		strQueryAlt = strQueryAlt  & "AND AKTIV = '1' "
	End if

	strQueryAlt = strQueryAlt & " ORDER BY PROGRAM"

    Set cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText
    
    Set paramSkolenhet = cmdSQL.CreateParameter ("skolenhet", adVarChar, adParamInput, 4)
    paramSkolenhet.value = skolenhet
    cmdSQL.Parameters.Append paramSkolenhet

    Set paramSkolform = cmdSQL.CreateParameter ("skolform", adVarChar, adParamInput, 2)
    paramSkolform.value = skolform
    cmdSQL.Parameters.Append paramSkolform
    
    Set paramProgram = cmdSQL.CreateParameter ("program", adVarChar, adParamInput, 10)
    paramProgram.value = program & "%"
    cmdSQL.Parameters.Append paramProgram

	If not ifShowInr00 then
        Set paramProgram00 = cmdSQL.CreateParameter ("program00", adVarChar, adParamInput, 10)
        paramProgram00.value = program & "%00"
        cmdSQL.Parameters.Append paramProgram00
    End if

    rs.Open cmdSQL,,3,1
    
	iRow = 0
	IF NOT rs.BOF AND NOT rs.EOF then
		WHILE NOT rs.EOF
			'KJGV0EBT.BETYG, KJGV0EBT.BETYGSDATUM, KJGV0SKU.KURSNAMN, KJGV0SKU.KURSKOD, KJGV0SKU.POANG, KJGV0SKU.KURSNAMN_ENG 
			strSkolenhet = trim( rs("SKOLENHET") )
			strProgram = ""
			strGrenKod = trim( rs("PROGRAM") )
			strProgramNamn = trim( rs("PGMNAMN") )
			strGrennamn = trim( rs("GRENNAMN") )
			strGrennamnEng = trim( rs("GRENNAMN_ENG") )
			strSaveAs = ""
			If not trim( strGrennamn ) = "" then
				If IsArray( arFilterProgInr ) then
					removeInriktn = false
					For each item in arFilterProgInr
						filterSkolenhet = GetStringPart( item,1 )
						filterInriktning = GetStringPart( item,2 )
						If trim( filterSkolenhet ) = trim( strSkolenhet ) AND trim( filterInriktning ) = trim( strGrenKod ) then
							removeInriktn = true
						End if
					Next
					if removeInriktn = false then
						redim preserve arProgInriktningar(iRow + 1)
						arProgInriktningar(iRow) = "INRIKTNING;" & strSkolenhet & ";" & strProgram & ";" & strProgramNamn & ";" & strGrenKod & ";" & strGrennamn & ";" & strGrennamnEng & ";" & strSaveAs
						iRow = CDbl(iRow + 1)
						rs.moveNext
					Else
						rs.moveNext
					End if
				Else
					redim preserve arProgInriktningar(iRow + 1)
					arProgInriktningar(iRow) = "INRIKTNING;" & strSkolenhet & ";" & strProgram & ";" & strProgramNamn & ";" & strGrenKod & ";" & strGrennamn & ";" & strGrennamnEng & ";" & strSaveAs
					iRow = CDbl(iRow + 1)
					rs.moveNext
				End if
			Else
				rs.moveNext
			End if
		Wend
		If iRow > 0 then
			getInriktningar = arProgInriktningar
		Else
			getInriktningar = ""
		End if
	Else
		getInriktningar = ""
	End if
End function 'getInriktningar()


Function getTotUtbList(skolenhet, arskurs, program)
	Dim iCount, cnSQL, cmdSQL, strDataCon_Proc, rs, strQueryAlt
    Dim paramProgramWub, paramProgramWgr, paramArskurs, paramSkolenhet
	iCount = 0
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set cmdSQL = Server.CreateObject("ADODB.Command")
    Set rs = Server.CreateObject("ADODB.Recordset")
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	
    strQueryAlt = "SELECT SKO.UPDDAT, SKO.SKOLENHET, SKO.SKOLNAMN, WGR.ARSKURS, SPR.PROGRAM, SPR.PGMNAMN, SPR.GRENNAMN, WGR.TYP, WUB.PERIOD, WGR.BLOCK_PAKET, "
    strQueryAlt = strQueryAlt & "WGR.PROGRAM, WGR.PRESENTATION, WGR.ALTERNATIV, WGR.ANTAL_VALLISTOR, WGR.POANG, WGR.MAX_POANG, WGR.MIN_POANG, WUB.KURSKOD, "
    strQueryAlt = strQueryAlt & "SKU.KURSNAMN, WUB.KURSTYP, SPD.FROMDAT, SPD.TOMDAT, SKU.POANG AS KURS_POANG, WGR.W_INFO AS WGR_INFO, WGR.W_URL AS WGR_URL, "
    strQueryAlt = strQueryAlt & "WUB.W_INFO AS WUB_INFO, WUB.W_URL AS WUB_URL "
    strQueryAlt = strQueryAlt & "FROM KJGV0SKO SKO "
    strQueryAlt = strQueryAlt & "JOIN KJGV0WGR WGR ON SKO.SKOLENHET = WGR.SKOLENHET "
    strQueryAlt = strQueryAlt & "LEFT JOIN KJGV0SPR SPR ON (WGR.SKOLFORM = SPR.SKOLFORM AND WGR.SKOLENHET = SPR.SKOLENHET AND WGR.PROGRAM = SPR.PROGRAM) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0WUB WUB ON ((WGR.PROGRAM = WUB.PROGRAM OR WUB.PROGRAM = ' ' OR WUB.PROGRAM = ? ) "
	strQueryAlt = strQueryAlt & "AND WGR.ARSKURS = WUB.ARSKURS AND WGR.BLOCK_PAKET = WUB.BLOCK_PAKET AND WGR.TYP = WUB.TYP AND WGR.SKOLFORM = WUB.SKOLFORM "
    strQueryAlt = strQueryAlt & "AND WGR.SKOLENHET = WUB.SKOLENHET ) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPD SPD ON (WUB.SKOLFORM = SPD.SKOLFORM AND WUB.SKOLENHET = SPD.SKOLENHET AND WUB.PERIOD = SPD.PERIOD) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (SKU.SKOLFORM = WUB.SKOLFORM AND SKU.SKOLENHET = WUB.SKOLENHET	AND WUB.KURSKOD = SKU.KURSKOD) "
    strQueryAlt = strQueryAlt & "WHERE WGR.PROGRAM IN ( ? , ' ') "
	strQueryAlt = strQueryAlt & "AND WGR.TYP IN ('BLOCK_VALB', 'PAKET_VALB', 'FRIA_VALB', 'BLOCK_IND', 'PAKET_IND', 'FRIA_IND' ) "
	strQueryAlt = strQueryAlt & "AND WGR.ARSKURS = ? AND WUB.W_DOLD <> '1' AND WUB.SKOLENHET = ? AND WUB.SKOLFORM = 'GY' "
    strQueryAlt = strQueryAlt & "ORDER BY WGR.ARSKURS, WGR.BLOCK_PAKET, WUB.PERIOD, WGR.TYP, WGR.PRESENTATION, SKU.KURSNAMN "
    
    Set cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramProgramWub = cmdSQL.CreateParameter ("programWub", adVarChar, adParamInput, 10)
    paramProgramWub.value = program
    cmdSQL.Parameters.Append paramProgramWub
    
    Set paramProgramWgr = cmdSQL.CreateParameter ("programWgr", adVarChar, adParamInput, 10)
    paramProgramWgr.value = program
    cmdSQL.Parameters.Append paramProgramWgr

    Set paramArskurs = cmdSQL.CreateParameter ("arskurs", adVarChar, adParamInput, 2)
    paramArskurs.value = arskurs
    cmdSQL.Parameters.Append paramArskurs

    Set paramSkolenhet = cmdSQL.CreateParameter ("skolenhet", adVarChar, adParamInput, 4)
    paramSkolenhet.value = skolenhet
    cmdSQL.Parameters.Append paramSkolenhet
    
    rs.Open cmdSQL,,3,1
	
	IF NOT rs.BOF AND NOT rs.EOF then
		Dim arEduList()
		Dim strKurser, prevGrp, prevGrpKod, prevKurstyp
		Dim TRentry, strNoCh, iRow, strSkolKod, strSkolNamn, strAk
		Dim strProgram, strPGMNamn, strGrenNamn, strPeriod, strSkolEnhet, strArsKurs, grpKod, grpPres
		Dim grpTyp, nbOfRadios, nbOfListor, grpPoang, grpPoangMax, grpPoangMin, strGrpInfo, strGrpUrl
		Dim KursKod, kursNamn, kursTyp, strKursUrl, strKursInfo, periodFromDat, periodTomDat, strKursPoang
		
		iRow = 0
		redim arEduList(1)
		WHILE NOT rs.EOF
			strSkolKod = ""
			strSkolNamn = ""
			strAK = ""
			strProgram = ""
			strPGMNamn = ""
			strGrenNamn = ""
			strPeriod = ""
			strSkolenhet =trim( rs("SKOLENHET") )
			strSkolNamn = trim( rs("SKOLNAMN") )
			strPeriod = trim( rs("PERIOD") )
			strArskurs = trim( rs("ARSKURS") )
			strProgram = trim( rs("PROGRAM") )
			strPGMNamn = "PGMNAMN"'trim( rs("PGMNAMN") )
			strGrenNamn = "GRENNAMN"'trim( rs("GRENNAMN") )
			grpKod = trim( rs("BLOCK_PAKET") )
			grpPres = trim( rs("PRESENTATION") )
			grpTyp = trim( rs("TYP") )
			nbOfRadios = trim( rs("ALTERNATIV") )
			nbOfListor = trim( rs("ANTAL_VALLISTOR") )
			grpPoang = rs("POANG")
			grpPoangMax = rs("MAX_POANG")
			grpPoangMin = rs("MIN_POANG")
			kursKod = rs("KURSKOD")
			kursNamn = rs("KURSNAMN")
			kursTyp = rs("KURSTYP")
			periodFromDat = trim( rs("FROMDAT") )
			periodTomDat = trim( rs("TOMDAT") )
			
			strGrpInfo = trim( rs("WGR_INFO") )
			strGrpUrl = trim( rs("WGR_URL") )
			strKursPoang = trim( rs("KURS_POANG") )
			strKursURL = trim( rs("WUB_URL") )
			strKursInfo = trim( rs("WUB_INFO") )
			
			If trim( grpPoang ) = "" then grpPoang = 0 end if
			If trim( grpPoangMin ) = "" then grpPoangMin = 0 end if
			If trim( grpPoangMax ) = "" then grpPoangMax = 0 end if
			If not trim( kursKod ) = "" AND NOT TRIM( kursNamn ) = "" AND NOT TRIM( strKursPoang ) then
				redim preserve arEduList(iRow + 1)
				arEduList(iRow) = "KURS;" & strSkolenhet  & ";" & strSkolNamn  & ";" & strPeriod  & ";" & strArskurs  & ";" & strProgram  & ";" & strPGMNamn  & ";" & strGrenNamn  & ";" & grpKod  & ";" & grpPres  & ";" & grpTyp  & ";" & nbOfRadios  & ";" & nbOfListor  & ";" & grpPoang  & ";" & grpPoangMax  & ";" & grpPoangMin  & ";" & strGrpInfo  & ";" & strGrpUrl  & ";" & kursKod  & ";" & kursNamn  & ";" & kursTyp  & ";" & strKursInfo & ";" & strKursURL  & ";" & strKursPoang  & ";" & periodFromDat  & ";" & periodTomDat
				iRow = CDbl(iRow) + 1
			End if
			rs.MoveNext
		Wend
	End if
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close
	set rs = nothing
	cnSQL.Close
	Set cnSQL = nothing
	
	If CDBl( iRow ) > 0 then
		getTotUtbList = arEduList
	Else
		getTotUtbList = ""
	End if
End Function  'getTotUtbList()

' ================================%WEBMETHOD%=================================
' Metod			readBetKurser
' tkomst								
'				Typ             Namn            Beskrivning / Status
'				--------------- --------------- ----------------------
' Parametrar	|				|
' Returnerar	ARRAY			arBerKurs		semikolonseparerad
'												
' Beskrivning	Lser upp betygsatta kurser p en enskild elev
' ================================%ENDWEBMETHOD%==============================
Function readBetKurser(PersonNr)
	Dim cnSQL, strDataCon_Proc, strQueryAlt, arBetKurs()
	Dim iRow, upplastaKurser, rs, isOra
	Dim strKursKod, strKursNamn, strKursNamnEng, strBetygsdat, strBetyg, strKursPoang, strKol, strUR, strBortvald
    Dim strDinaPoang, cmdSQL, paramPnrEvg, paramPnrEkl, paramPnrEvg2, paramPnrEkl2, paramPnrEbt
	
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set rs = Server.CreateObject("ADODB.Recordset")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information

	SESSION("upplastaKurser") = ""
	upplastaKurser = ""
	
    strQueryAlt = "SELECT DISTINCT EVG.KURSKOD, EVG.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, EVG.POANG AS KURS_POANG, "
    strQueryAlt = strQueryAlt & "CASE WHEN EBT.GUID IS NULL THEN NULL WHEN EBT.BETYG = 'F' THEN NULL ELSE EVG.POANG END AS DINA_POANG, EBT.BETYG, EBT.BETYGSDATUM, EBT.BORTVALD, EBT.U_R "
    If APPLICATION("DBTempTable") = "true" then
        strQueryAlt = strQueryAlt & "FROM KJGV0WEVG EVG "
    Else
        strQueryAlt = strQueryAlt & "FROM KJGV0EVG EVG "
    End if
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON ( EVG.KURSKOD = SKU.KURSKOD	AND EVG.SKOLFORM = SKU.SKOLFORM	AND EVG.SKOLENHET = SKU.SKOLENHET	) "
    strQueryAlt = strQueryAlt & "LEFT OUTER JOIN KJGV0EBT EBT ON (EBT.SKOLENHET = EVG.SKOLENHET	AND EBT.SKOLFORM = EVG.SKOLFORM	AND EBT.PERSONNR = EVG.PERSONNR	AND EBT.KURSKOD = EVG.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EBT.TYP_AV_BETYG = 'S' AND EBT.BETYGSDATUM >= EVG.FROMDAT AND EBT.BETYGSDATUM <= EVG.TOMDAT AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "WHERE EVG.PERSONNR = ? AND (	EVG.SKOLFORM = 'GY'	OR EVG.SKOLFORM = 'GS') "
    strQueryAlt = strQueryAlt & "AND EVG.AKTIV <> 'Nej'	AND EVG.TOMDAT < '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "AND (EVG.GRUPP <> ' ' OR EVG.ALTERNATIV <> '2') "
    strQueryAlt = strQueryAlt & "UNION ALL "
    strQueryAlt = strQueryAlt & "SELECT DISTINCT SPP.KURSKOD, SPP.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, SKU.POANG AS KURS_POANG, CASE WHEN EBT.GUID IS NULL THEN NULL WHEN EBT.BETYG = 'F' THEN NULL ELSE SKU.POANG END AS DINA_POANG, "
    strQueryAlt = strQueryAlt & "EBT.BETYG, EBT.BETYGSDATUM, EBT.BORTVALD, EBT.U_R "
    strQueryAlt = strQueryAlt & "FROM KJGV0EKL EKL "
    strQueryAlt = strQueryAlt & "JOIN KJGV0PAK PAK ON (	PAK.SKOLENHET = EKL.SKOLENHET	AND PAK.SKOLFORM = EKL.SKOLFORM	AND PAK.KLASS = EKL.KLASS AND PAK.PERIOD = EKL.PERIOD	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPP SPP ON (	SPP.SKOLENHET = EKL.SKOLENHET	AND SPP.SKOLFORM = EKL.SKOLFORM	AND SPP.PROGRAM = EKL.PROGRAMPLAN	AND SPP.KURSKOD = PAK.KURSKOD	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (	SKU.KURSKOD = SPP.KURSKOD	AND SKU.SKOLFORM = SPP.SKOLFORM	AND SKU.SKOLENHET = SPP.SKOLENHET	) "
    strQueryAlt = strQueryAlt & "LEFT OUTER JOIN KJGV0EBT EBT ON (EBT.SKOLENHET = EKL.SKOLENHET	AND EBT.SKOLFORM = EKL.SKOLFORM	AND EBT.PERSONNR = EKL.PERSONNR	AND EBT.KURSKOD = PAK.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EBT.TYP_AV_BETYG = 'S' AND EBT.BETYGSDATUM >= EKL.FROMDAT AND EBT.BETYGSDATUM <= EKL.TOMDAT AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "WHERE EKL.PERSONNR = ? AND ( EKL.SKOLFORM = 'GY' OR EKL.SKOLFORM = 'GS'	) "
    strQueryAlt = strQueryAlt & "AND EKL.TOMDAT < '20" & GetToday() & "' AND PAK.TOMDAT < '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "UNION ALL "
    strQueryAlt = strQueryAlt & "SELECT EVG.KURSKOD, EVG.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, EVG.POANG AS KURS_POANG, EVG.POANG AS DINA_POANG, EBT.BETYG, EBT.BETYGSDATUM, EBT.BORTVALD, EBT.U_R "
    If APPLICATION("DBTempTable") = "true" then
        strQueryAlt = strQueryAlt & "FROM KJGV0WEVG EVG "
    Else
        strQueryAlt = strQueryAlt & "FROM KJGV0EVG EVG "
    End if
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON ( EVG.KURSKOD = SKU.KURSKOD	AND EVG.SKOLFORM = SKU.SKOLFORM	AND EVG.SKOLENHET = SKU.SKOLENHET	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0EBT EBT ON (	EBT.SKOLENHET = EVG.SKOLENHET	AND EBT.SKOLFORM = EVG.SKOLFORM	AND EBT.PERSONNR = EVG.PERSONNR	AND EBT.KURSKOD = EVG.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EBT.TYP_AV_BETYG = 'S' AND EBT.BETYGSDATUM >= EVG.FROMDAT AND EBT.BETYGSDATUM <= EVG.TOMDAT AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "WHERE EVG.PERSONNR = ? AND ( EVG.SKOLFORM = 'GY'	OR EVG.SKOLFORM = 'GS' ) "
    strQueryAlt = strQueryAlt & "AND EVG.AKTIV <> 'Nej' AND EVG.FROMDAT < '20" & GetToday() & "'	AND EVG.TOMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "UNION ALL "
    strQueryAlt = strQueryAlt & "SELECT SPP.KURSKOD, SPP.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, SKU.POANG AS KURS_POANG, SKU.POANG AS DINA_POANG, EBT.BETYG, EBT.BETYGSDATUM, EBT.BORTVALD, EBT.U_R "
    strQueryAlt = strQueryAlt & "FROM KJGV0EKL EKL "
    strQueryAlt = strQueryAlt & "JOIN KJGV0PAK PAK ON (	PAK.SKOLENHET = EKL.SKOLENHET	AND PAK.SKOLFORM = EKL.SKOLFORM	AND PAK.KLASS = EKL.KLASS	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPP SPP ON (	SPP.SKOLENHET = EKL.SKOLENHET	AND SPP.SKOLFORM = EKL.SKOLFORM	AND SPP.PROGRAM = EKL.PROGRAMPLAN	AND SPP.KURSKOD = PAK.KURSKOD	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (	SKU.KURSKOD = SPP.KURSKOD	AND SKU.SKOLFORM = SPP.SKOLFORM	AND SKU.SKOLENHET = SPP.SKOLENHET	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0EBT EBT ON (	EBT.SKOLENHET = EKL.SKOLENHET	AND EBT.SKOLFORM = EKL.SKOLFORM	AND EBT.PERSONNR = EKL.PERSONNR	AND EBT.KURSKOD = PAK.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EBT.TYP_AV_BETYG = 'S'	AND EBT.BETYGSDATUM >= EKL.FROMDAT AND EBT.BETYGSDATUM <= EKL.TOMDAT ) "
    strQueryAlt = strQueryAlt & "WHERE EKL.PERSONNR = ? AND ( EKL.SKOLFORM = 'GY' OR EKL.SKOLFORM = 'GS'	) "
    strQueryAlt = strQueryAlt & "AND EKL.FROMDAT < '20" & GetToday() & "' AND EKL.TOMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "AND PAK.FROMDAT < '20" & GetToday() & "' AND PAK.TOMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "UNION ALL "
    strQueryAlt = strQueryAlt & "SELECT EBT.KURSKOD, '' AS KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, SKU.POANG AS KURS_POANG, SKU.POANG AS DINA_POANG, EBT.BETYG, EBT.BETYGSDATUM, EBT.BORTVALD, EBT.U_R "
    strQueryAlt = strQueryAlt & "FROM KJGV0EBT EBT "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (	SKU.KURSKOD = EBT.KURSKOD	AND SKU.SKOLFORM = EBT.SKOLFORM	AND SKU.SKOLENHET = EBT.SKOLENHET	) "
    strQueryAlt = strQueryAlt & "WHERE EBT.PERSONNR = ? AND ( EBT.SKOLFORM = 'GY' OR EBT.SKOLFORM = 'GS'	) "
    strQueryAlt = strQueryAlt & "AND EBT.TYP_AV_BETYG = 'S' AND EBT.BETYG <> ' ' AND NOT EXISTS ( SELECT * "
    If APPLICATION("DBTempTable") = "true" then
        strQueryAlt = strQueryAlt & "FROM KJGV0WEVG EVG "
    Else
        strQueryAlt = strQueryAlt & "FROM KJGV0EVG EVG "
    End if
    strQueryAlt = strQueryAlt & "WHERE EVG.PERSONNR = EBT.PERSONNR AND EVG.SKOLENHET = EBT.SKOLENHET AND EVG.SKOLFORM = EBT.SKOLFORM AND EVG.KURSKOD = EBT.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EVG.FROMDAT <= EBT.BETYGSDATUM AND EVG.TOMDAT >= EBT.BETYGSDATUM AND EVG.AKTIV <> 'Nej' ) "
    strQueryAlt = strQueryAlt & "AND NOT EXISTS (	SELECT * FROM KJGV0EKL EKL JOIN KJGV0PAK PAK ON ( PAK.SKOLENHET = EKL.SKOLENHET	AND PAK.SKOLFORM = EKL.SKOLFORM	AND PAK.KLASS = EKL.KLASS	) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPP SPP ON ( SPP.SKOLENHET = EKL.SKOLENHET AND SPP.SKOLFORM = EKL.SKOLFORM AND SPP.PROGRAM = EKL.PROGRAMPLAN AND SPP.KURSKOD = PAK.KURSKOD	) "
    strQueryAlt = strQueryAlt & "WHERE EKL.PERSONNR = EBT.PERSONNR AND EKL.SKOLENHET = EBT.SKOLENHET AND EKL.SKOLFORM = EBT.SKOLFORM AND EKL.FROMDAT <= EBT.BETYGSDATUM AND EKL.TOMDAT >= EBT.BETYGSDATUM	AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "ORDER BY KURSKOD "

    cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText
  
    Set paramPnrEvg = cmdSQL.CreateParameter("paramPnrEvg", adVarChar, adParamInput, 12)
    paramPnrEvg.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEvg

    Set paramPnrEkl = cmdSQL.CreateParameter("paramPnrEkl", adVarChar, adParamInput, 12)
    paramPnrEkl.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEkl
    
    Set paramPnrEvg2 = cmdSQL.CreateParameter("paramPnrEvg2", adVarChar, adParamInput, 12)
    paramPnrEvg2.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEvg2
    
    Set paramPnrEkl2 = cmdSQL.CreateParameter("paramPnrEkl2", adVarChar, adParamInput, 12)
    paramPnrEkl2.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEkl2
    
    Set paramPnrEbt = cmdSQL.CreateParameter("paramPnrEbt", adVarChar, adParamInput, 12)
    paramPnrEbt.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEbt
    
    rs.Open cmdSQL, , 3, 1   'Hmtar Recordsettet
	iRow = 0
	IF NOT rs.BOF AND NOT rs.EOF then
		WHILE NOT rs.EOF
			redim preserve arBetKurs(iRow + 1)
			strKursKod      = trim( rs("KURSKOD") )
			strKursNamn     = trim( rs("KURSNAMN") )
			strKursNamnEng  = trim( rs("KURSTYP") )
			strBetygsDat    = trim( rs("BETYGSDATUM") )
			strBetyg        = trim( rs("BETYG") )
			strKursPoang    = trim( rs("KURS_POANG") )
			strDinaPoang    = trim( rs("DINA_POANG") )
            strBortvald     = trim( rs("BORTVALD") )
            strUR           = trim( rs("U_R") )

            If strBortvald = "1" then
  		        strBetygsDat = ""
			    strBetyg = ""
                strDinaPoang = ""
	        end if
      
			strKol = strKursKod & ";" & strKursNamn & ";" & strKursNamnEng & ";" & strBetygsDat & ";"
			strKol = strKol & strBetyg & ";" & strKursPoang & ";" & strDinaPoang & ";" & strUR
			arBetKurs(iRow) = strKol
			upplastaKurser = upplastaKurser & ";" & strKursKod
			rs.moveNext
			iRow = CDbl( iRow + 1 )
		Wend
		
		upplastaKurser = upplastaKurser & ";"
		
	End if   'NOT rs.BOF AND NOT rs.EOF then
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	
	rs.Close 
	cnSQL.Close
	Set rs = nothing
	Set cnSQL = nothing
	
	If iRow > 0 then
		SESSION("upplastaKurser") = upplastaKurser
		readBetKurser = arBetKurs
	Else
		readBetKurser = ""
	End if
End Function  'readBetKurser()

' ================================%WEBMETHOD%=================================
' Metod				readPagandeKurser
' tkomst								
'					Typ             Namn            Beskrivning / Status
'					--------------- --------------- ----------------------
' Parametrar		|				|
' Returnerar		ARRAY			arStPlan		semikolonseparerad
'												
' Beskrivning		Lser upp en elevs pgende kurser
' ================================%ENDWEBMETHOD%==============================
Function readPagandeKurser(PersonNr, Skolenhet)
	Dim cnSQL, strDataCon_Proc, strQueryAlt, arValbK()
	Dim iRow, upplastaPagandeK, rs, isOra
	Dim strKursKod, strKursNamn, strKursNamnEng, strBetygsdat, strBetyg, strKursPoang, strKol
    Dim tempStrKursKod, cmdSQL, paramPnrEvg, paramPnrEkl
	
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set rs = Server.CreateObject("ADODB.Recordset")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information
	SESSION("upplastaPagandeK") = ""

    strQueryAlt = "SELECT DISTINCT EVG.KURSKOD, EVG.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, EVG.POANG "
	If APPLICATION("DBTempTable") = "true" then
		strQueryAlt = strQueryAlt & "FROM KJGV0WEVG EVG "
	Else
		strQueryAlt = strQueryAlt & "FROM KJGV0EVG EVG "
	End if
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (EVG.KURSKOD = SKU.KURSKOD) AND (EVG.SKOLFORM = SKU.SKOLFORM) AND (EVG.SKOLENHET = SKU.SKOLENHET)  "
    strQueryAlt = strQueryAlt & "LEFT OUTER JOIN KJGV0EBT EBT ON (EBT.PERSONNR = EVG.PERSONNR AND EBT.SKOLENHET = EVG.SKOLENHET AND EBT.SKOLFORM = EVG.SKOLFORM AND EBT.KURSKOD = EVG.KURSKOD "
    strQueryAlt = strQueryAlt & "AND EVG.FROMDAT <= EBT.BETYGSDATUM AND EVG.TOMDAT >= EBT.BETYGSDATUM AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "WHERE EVG.PERSONNR = ? "
    strQueryAlt = strQueryAlt & "AND ( EVG.SKOLFORM = 'GY' OR EVG.SKOLFORM = 'GS' ) "
    strQueryAlt = strQueryAlt & "AND EVG.AKTIV <> 'Nej' "
    strQueryAlt = strQueryAlt & "AND EVG.FROMDAT < '20" & GetToday() & "' AND EVG.TOMDAT > '20" & GetTOday() & "' "
    strQueryAlt = strQueryAlt & "AND EBT.BETYG IS NULL "
    strQueryAlt = strQueryAlt & "UNION ALL "
    strQueryAlt = strQueryAlt & "SELECT DISTINCT SPP.KURSKOD, SPP.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, SKU.POANG "
    strQueryAlt = strQueryAlt & "FROM KJGV0EKL EKL "
    strQueryAlt = strQueryAlt & "JOIN KJGV0PAK PAK ON (PAK.SKOLENHET = EKL.SKOLENHET AND PAK.SKOLFORM = EKL.SKOLFORM AND PAK.KLASS = EKL.KLASS ) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPP SPP ON (SPP.SKOLENHET = EKL.SKOLENHET AND SPP.SKOLFORM = EKL.SKOLFORM AND SPP.PROGRAM = EKL.PROGRAMPLAN AND SPP.KURSKOD = PAK.KURSKOD ) "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (SKU.KURSKOD = SPP.KURSKOD AND SKU.SKOLFORM = SPP.SKOLFORM AND SKU.SKOLENHET = SPP.SKOLENHET ) "
    strQueryAlt = strQueryAlt & "LEFT OUTER JOIN KJGV0EBT EBT ON ( EBT.KURSKOD = SKU.KURSKOD AND EBT.SKOLFORM = SKU.SKOLFORM AND EBT.SKOLENHET = SKU.SKOLENHET "
    strQueryAlt = strQueryAlt & "AND EBT.BETYGSDATUM >= EKL.FROMDAT AND EBT.BETYGSDATUM <= EKL.TOMDAT AND EBT.BETYG <> ' ' ) "
    strQueryAlt = strQueryAlt & "WHERE EKL.PERSONNR = ? "
    strQueryAlt = strQueryAlt & "AND ( EKL.SKOLFORM = 'GY' OR EKL.SKOLFORM = 'GS' ) "
    strQueryAlt = strQueryAlt & "AND EKL.FROMDAT < '20" & GetToday() & "' AND EKL.TOMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "AND PAK.FROMDAT < '20" & GetToday() & "' AND PAK.TOMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "AND EBT.BETYG IS NULL "
    strQueryAlt = strQueryAlt & "ORDER BY KURSKOD "

    cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramPnrEvg = cmdSQL.CreateParameter("paramPnrEvg", adVarChar, adParamInput, 12)
    paramPnrEvg.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEvg

    Set paramPnrEkl = cmdSQL.CreateParameter("paramPnrEkl", adVarChar, adParamInput, 12)
    paramPnrEkl.value = PersonNr
    cmdSQL.Parameters.Append paramPnrEkl

	rs.Open cmdSQL, , 3, 1   'Hmtar Recordsettet
	iRow = 0
	IF NOT rs.BOF AND NOT rs.EOF then
		WHILE NOT rs.EOF
			redim preserve arValbK(iRow + 1)
			strKursKod = trim( rs("KURSKOD") )
			strKursNamn = trim( rs("KURSNAMN") )
			strKursNamnEng = trim( rs("KURSTYP") )
			
			strKursPoang = trim( rs("POANG") )
			
            'Klistar p ";" s att jmfrelsen med strngen upplastaKurser blir rtt...
            tempStrKursKod = ";" & strKursKod & ";"
      
			If not strKursPoang < 1 then
				strKol = strKursKod & ";" & strKursNamn & ";" & strKursNamnEng & ";;;"
				strKol = strKol & strKursPoang
				arValbK(iRow) = strKol
				upplastaPagandeK = upplastaPagandeK & ";" & strKursKod
				iRow = CDbl( iRow + 1 )
			End if
			rs.moveNext
		Wend
		
		upplastaPagandeK = upplastaPagandeK & ";"
		
	End if   'NOT rs.BOF AND NOT rs.EOF then
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close 
	cnSQL.Close
	Set rs = nothing
	Set cnSQL = nothing
	
	
	If iRow > 0 then
		SESSION("upplastaPagandeK") = upplastaPagandeK
		readPagandeKurser = arValbK
	Else
		readPagandeKurser = ""
	End if
End Function  'readPagandeKurser()

' ================================%WEBMETHOD%=================================
' Metod				readProgPlanKurser
' tkomst								
'					Typ             Namn            Beskrivning / Status
'					--------------- --------------- ----------------------
' Parametrar		|				|
' Returnerar		ARRAY			arStPlan	    semikolonseparerad
'												
' Beskrivning		Lser upp en elevs kurser som ingr i Programplanen
' ================================%ENDWEBMETHOD%==============================
Function readProgPlanKurser(PersonNr,tAktPeriod)
	Dim cnSQL, strDataCon_Proc, strQueryAlt, arStPlan()
	Dim iRow, upplastaKurser, upplastaValbaraK, upplastaProgPlanK, upplastaFramtidaKurser
	Dim rs, isOra, upplastaPagandeK
	Dim strKursKod, strKursNamn, strKursNamnEng, strBetygsdat, strBetyg, strKursPoang, strKol, strSkolEnhet, tempStrKursKod
	Dim rsNewPeriod, rsNewPeriodSQL, periodFromProc, cmdSQL, paramPnr
	
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set rs = Server.CreateObject("ADODB.Recordset")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen

    upplastaPagandeK = SESSION("upplastaPagandeK")
    upplastaFramtidaKurser = SESSION("upplastaFramtidaKurser")
    upplastaKurser = SESSION("upplastaKurser")
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	' VAD SKICKAS?
	' SKOLNAMN;SKOLENHET;TYP;BLOCK_PAKET;ARSKURS;PROGRAM;PRESENTATION;ALTERNATIV;ANTAL_VALLISTOR;POANG;MAX_POANG;MIN_POANG;WGR_W_INFO;WGR_W_URL;PERIOD;GRUPP;KURSKOD;KURSNAMN;KURSTYP;FROMDAT;TOMDAT;VISA_SCHEMA;ANTAL_PLATSER;W_DOLD;WUB_W_INFO;WUB_W_URL;"
	' Ls upp all information

    ' Ls klasser fr att hitta programplaner, fr att hitta kurser, sedan slla bort pgende kurser via EVG och PAK.  
    strQueryAlt = "SELECT DISTINCT SPP.KURSKOD, SPP.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, SKU.POANG "
    strQueryAlt = strQueryAlt & "FROM KJGV0EKL EKL "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SPP SPP ON (SPP.SKOLENHET = EKL.SKOLENHET AND SPP.SKOLFORM = EKL.SKOLFORM AND SPP.PROGRAM = EKL.PROGRAMPLAN) "
    strQueryAlt = strQueryAlt & "LEFT JOIN KJGV0PAK PAK ON (PAK.SKOLENHET = EKL.SKOLENHET	AND PAK.SKOLFORM = EKL.SKOLFORM	AND PAK.KLASS = EKL.KLASS AND PAK.KURSKOD = SPP.KURSKOD "
    strQueryAlt = strQueryAlt & "AND PAK.KLASS <> ' ' "
    strQueryAlt = strQueryAlt & "AND PAK.FROMDAT < '20" & GetToday() & "' AND PAK.TOMDAT > '20" & GetToday() & "') "
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (SKU.KURSKOD = SPP.KURSKOD	AND SKU.SKOLFORM = SPP.SKOLFORM	AND SKU.SKOLENHET = SPP.SKOLENHET) "
    strQueryAlt = strQueryAlt & "LEFT JOIN KJGV0EVG EVG ON ( EVG.SKOLENHET = EKL.SKOLENHET AND EVG.SKOLFORM = EKL.SKOLFORM AND EVG.KURSKOD = SPP.KURSKOD AND EVG.PERSONNR = EKL.PERSONNR "
    strQueryAlt = strQueryAlt & "AND EVG.FROMDAT < '20" & GetToday() & "'	AND EVG.TOMDAT > '20" & GetToday() & "') "
    strQueryAlt = strQueryAlt & "WHERE EKL.PERSONNR = '" & PersonNr & "' AND (EKL.SKOLFORM = 'GY' OR EKL.SKOLFORM = 'GS') "
    strQueryAlt = strQueryAlt & "AND EKL.TOMDAT > '20" & GetToday() & "'	AND PAK.FROMDAT IS NULL "
    strQueryAlt = strQueryAlt & "AND EVG.GRUPP IS NULL "
    strQueryAlt = strQueryAlt & "AND NOT EXISTS ( SELECT * FROM KJGV0EBT EBT WHERE EBT.KURSKOD = SPP.KURSKOD AND EBT.SKOLFORM = SPP.SKOLFORM AND EBT.PERSONNR = EKL.PERSONNR ) "
    strQueryAlt = strQueryAlt & "ORDER BY KURSKOD "

    cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramPnr = cmdSQL.CreateParameter("paramPnr", adVarChar, adParamInput, 12)
    paramPnr.value = PersonNr
    cmdSQL.Parameters.Append paramPnr
	
	rs.Open cmdSQL, , 3, 1   'Hmtar Recordsettet
	iRow = 0
	
	IF NOT rs.BOF AND NOT rs.EOF then
		WHILE NOT rs.EOF
			redim preserve arStPlan(iRow + 1)
			strKursKod = trim( rs("KURSKOD") )
			strKursNamn = trim( rs("KURSNAMN") )
			strKursNamnEng = trim( rs("KURSTYP") )
			strKursPoang = trim( rs("POANG") )
		    'Klistar p ";" s att jmfrelsen med strngen upplastaKurser blir rtt...
            tempStrKursKod = ";" & strKursKod & ";"
      
			If InStr( 1,upplastaPagandeK,tempStrKursKod,1 ) OR inStr(1,upplastaFramtidaKurser,tempStrKursKod,1) OR inStr(1,upplastaKurser,tempStrKursKod,1) then
			Else
				strKol = strKursKod & ";" & strKursNamn & ";" & strKursNamnEng & ";;;"
				strKol = strKol & strKursPoang
				arStPlan(iRow) = strKol
				upplastaProgPlanK = upplastaProgPlanK & ";" & strKursKod
				iRow = CDbl( iRow + 1 )
			End if
			rs.moveNext
		Wend
		
		upplastaProgPlanK = upplastaProgPlanK & ";"
		
	End if   'NOT rs.BOF AND NOT rs.EOF then
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close 
	cnSQL.Close
	Set rs = nothing
	Set cnSQL = nothing
	  
	If iRow > 0 then
		SESSION("upplastaProgPlanK") = upplastaProgPlanK
		readProgPlanKurser = arStPlan
	Else
		readProgPlanKurser = ""
	End if
End Function  'readProgPlanKurser()

' ================================%WEBMETHOD%=================================
' Metod				readChoosedKurser
' tkomst								
'					Typ             Namn            Beskrivning / Status
'					--------------- --------------- ----------------------
' Parametrar		|				|
' Returnerar		ARRAY			arBerKurs		semikolonseparerad
'												
' Beskrivning		Lser upp valda kurser
' ================================%ENDWEBMETHOD%==============================
Function readChoosedKurser(PersonNr,ValPeriod,skolenhet)
	Dim cnSQL, strDataCon_Proc, strQueryAlt, arKurs()
	Dim iRow, upplastaFramtidaKurser, tempStrKursKod
	Dim rs, isOra
	Dim strKursKod, strKursNamn, strKursNamnEng, strBetygsdat, strBetyg, strKursPoang, strKol, strSkolenhet
    Dim cmdSQL, paramPnr
	
    strSkolenhet = Request("urvalKlass")
    strSkolenhet = skolenhet
  
	Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set rs = Server.CreateObject("ADODB.Recordset")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen
	
	'Om dataurval p...
    CheckDataSelection(cnSQL)
	
	SESSION("upplastaFramtidaKurser") = ""
	upplastaFramtidaKurser = ""
	
	strQueryAlt = "SELECT DISTINCT EVG.KURSKOD, EVG.KURSTYP, SKU.KURSNAMN, SKU.KURSNAMN_ENG, EVG.POANG "
	If APPLICATION("DBTempTable") = "true" then
		strQueryAlt = strQueryAlt & "FROM KJGV0WEVG EVG "
	Else
		strQueryAlt = strQueryAlt & "FROM KJGV0EVG EVG "
	End if
    strQueryAlt = strQueryAlt & "JOIN KJGV0SKU SKU ON (EVG.KURSKOD = SKU.KURSKOD) "
	strQueryAlt = strQueryAlt & "AND (EVG.SKOLFORM = SKU.SKOLFORM) "
	strQueryAlt = strQueryAlt & "AND (EVG.SKOLENHET = SKU.SKOLENHET) "
    strQueryAlt = strQueryAlt & "WHERE EVG.PERSONNR = ? "
    strQueryAlt = strQueryAlt & "AND ( EVG.SKOLFORM = 'GY' OR EVG.SKOLFORM = 'GS' ) "
    strQueryAlt = strQueryAlt & "AND EVG.AKTIV <> 'Nej' "
    strQueryAlt = strQueryAlt & "AND EVG.FROMDAT > '20" & GetToday() & "' "
    strQueryAlt = strQueryAlt & "ORDER BY KURSKOD "
	
    cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramPnr = cmdSQL.CreateParameter("paramPnr", adVarChar, adParamInput, 12)
    paramPnr.value = PersonNr
    cmdSQL.Parameters.Append paramPnr
    
    rs.Open cmdSQL, , 3, 1   'Hmtar Recordsettet
	iRow = 0
	IF NOT rs.BOF AND NOT rs.EOF then
		WHILE NOT rs.EOF
			redim preserve arKurs(iRow + 1)
			strKursKod = trim( rs("KURSKOD") )
			strKursNamn = trim( rs("KURSNAMN") )
			strKursNamnEng = trim( rs("KURSTYP") )
			strKursPoang = trim( rs("POANG") )
			
			strKol = strKursKod & ";" & strKursNamn & ";" & strKursNamnEng & ";;;"
			strKol = strKol & strKursPoang
			arKurs(iRow) = strKol
			iRow = CDbl( iRow + 1 )
			upplastaFramtidaKurser = upplastaFramtidaKurser & ";" & strKursKod
			rs.moveNext
		Wend
		
		upplastaFramtidaKurser = upplastaFramtidaKurser & ";"
		
	End if   'NOT rs.BOF AND NOT rs.EOF then
	
	'Tmmer dataurval
	ClearDataSelection(cnSQL)
	 
	rs.Close 
	cnSQL.Close
	Set rs = nothing
	Set cnSQL = nothing
	
	If iRow > 0 then
	  SESSION("upplastaFramtidaKurser") = upplastaFramtidaKurser
		readChoosedKurser = arKurs
	Else
		readChoosedKurser = ""
	End if
End Function  'readChoosedKurser()

' ================================%WEBMETHOD%=================================
' Metod				GetPasswordFromUsername
' tkomst								
'					Typ             Namn            Beskrivning / Status
'					--------------- --------------- ----------------------
' Parametrar		|				|
' Returnerar		String			password		anvndarens lsenord
'												
' Beskrivning		Lser upp lsenord fr specifik studieval anvndare
' ================================%ENDWEBMETHOD%==============================
Function GetPasswordFromUsername(username)
    Dim cnSQL, strDataCon_Proc, rs, cmdSQL, strQueryAlt, strPassword
    
    Set cnSQL = Server.CreateObject("ADODB.Connection")
	Set rs = Server.CreateObject("ADODB.Recordset")
    Set cmdSQL = Server.CreateObject("ADODB.Command")
	
	strDataCon_Proc = APPLICATION ("DBConn_Proc")
	cnSQL.Open strDataCon_Proc 'ppnar ODBC - kopplingen till databasen

    strQueryAlt = "SELECT DISTINCT ANV.LOSENORD_SLUMPTAL "	
    strQueryAlt = strQueryAlt & "FROM KJGV0ANV ANV "	
    strQueryAlt = strQueryAlt & "WHERE  ANV.TYP='STUDIEVAL' "
	strQueryAlt = strQueryAlt & "AND ANV.ANVANDARID= ? "

    cmdSQL.ActiveConnection = cnSQL
    cmdSQL.CommandText = strQueryAlt
    cmdSQL.CommandType = adCmdText

    Set paramUsername = cmdSQL.CreateParameter("paramUsername", adVarChar, adParamInput, 60)
    paramUsername.value = username
    cmdSQL.Parameters.Append paramUsername
    
    rs.Open cmdSQL, , 3, 1   'Hmtar Recordsettet
    IF NOT rs.BOF AND NOT rs.EOF then
        strPassword = trim( rs("LOSENORD_SLUMPTAL") )
    End if

    GetPasswordFromUsername = strPassword
End Function


</SCRIPT>