
<!-- #include file = "inc_functions_app.asp" -->

<SCRIPT LANGUAGE=VBScript RUNAT=Server>

' ================================%FUNCTION%====================================
' Metod                GetToday()
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           Datum typ YYYYMMDD
'
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetToday()

 ' Dagens datum...
 Dim strDate, strToDay, strMon, strDay
 strDate = now()
 strMon = Month(strDate)
 if Len(strMon) = 1 then strMon = "0" & strMon end if
 strDay = Day(strDate)
 if Len(strDay) = 1 then strDay = "0" & strDay end if 
 strToDay = Year(strDate) & strMon & strDay
 GetToday = strToDay
 
end function


' ================================%FUNCTION%====================================
' Metod                GetUserDate()
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           Datum typ YY-MM-DD, tar bort ev AM PM
'
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetUserDate()

 ' Dagens datum...
 Dim strDate, strToDay, strMon, strDay, strTid 
 strDate = now()
 strMon = Month(strDate)
 if Len(strMon) = 1 then strMon = "0" & strMon end if
 strDay = Day(strDate)
 if Len(strDay) = 1 then strDay = "0" & strDay end if 
 strToDay = Year(strDate) & "-" & strMon & "-" & strDay
 
 strTid = Time()
 if InStr(1, strTid , "AM", 1) > 0 or InStr(1, strTid , "PM", 1) > 0 then
   strTid = Left(strTid, Len(strTid)-2)
 end if 

 GetUserDate = strToDay
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetIniFileValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Vrde som eftersks, skvg till inifil
' Returnerar           Returnerar nskat inifilsvrde frn fil
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetIniFileValue(strIniFileVar, strFile)

  Dim IniFile, File, TextLine, IniVar, bExists
  Dim RetValue, Path
  RetValue = ""
  bExists = false


  'INSTLLNINGAR FRN DATABAS?
  if not InStr(1, UCase(strFile), "BOUWEB.INI", 1) > 0 and Application("SettingsInDB") = "true" then

    RetValue = GetSetting(strIniFileVar)
    
    if trim(RetValue) <> "" then
      bExists = true
    end if

    'Parametern saknas. Skriv den till separat logg fr att den ska g att lgga till!
    if bExists = false then
      WriteErrorFile "Rad saknas i DATABASEN " & strFile & ". Lgg till: " & strIniFileVar & "=", "", "" 'Application("SettingsDBCon")
    end if
    
  'FRN FIL!!
  else

    Set IniFile = Server.CreateObject("Scripting.FileSystemObject")
    'Path = Server.mappath("data/pci.ini")
    Path = Server.mappath(strFile)
    Set File = IniFile.OpenTextFile( Path, 1, false, false )
  
    while not File.AtEndOfStream
      TextLine = File.ReadLine
      IniVar = GetRightIniValue(TextLine)
      if IniVar = strIniFileVar then
        RetValue = GetLeftIniValue(TextLine)
        bExists = true
      End if
    Wend
  
    If RetValue = "" and Application("Log_Data_Read") = "true" Then
      'Loggning bara i bouweb.ini
      if InStr(1, strFile, "bouweb.ini", 1) then
        WriteErrorFile strIniFileVar & " - Kan inte lsa ini-filen (eller vrdet r tomt)!", "Global.asa", ""
      end if
    End if
  
    Set File = nothing
    Set IniFile = nothing

    'Parametern saknas. Skriv den till separat logg fr att den ska g att lgga till!
    if bExists = false then
      'WriteIniErrFile "Rad saknas i inifilen " & strFile & ". Lgg till: " & strIniFileVar & "=", "", ""
      WriteErrorFile "Rad saknas i inifilen " & strFile & ". Lgg till: " & strIniFileVar & "=", "", "" 'Application("SettingsDBCon")
    end if

  end if
  
  GetIniFileValue = RetValue
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetLeftIniValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          Anvnds av GetIniFileValue
' ================================%ENDFUNCTION%=================================
Function GetLeftIniValue(Text)

  Dim iRet, Ret
  iRet = Len(Text) - InStr( Text, "=" )
  Ret = Right( Text, iRet)
  GetLeftIniValue = Ret
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetRightIniValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          Anvnds av GetIniFileValue
' ================================%ENDFUNCTION%=================================
Function GetRightIniValue(Text)

  Dim iRet, Ret
  iRet = InStr( Text, "=" )
  if not iRet = 0 then
    iRet = iRet - 1
  End if
  
  Ret = Left( Text, iRet)
  GetRightIniValue = Ret
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetRightValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetRightValue(Text, strDelimiter)

  Dim iRet, Ret
  iRet = Len(Text) - InStr( Text, strDelimiter )
  Ret = Right( Text, iRet)
  GetRightValue = Ret
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetLeftValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetLeftValue(Text, strDelimiter)

  Dim iRet, Ret
  iRet = InStr( Text, strDelimiter )
  if not iRet = 0 then
    iRet = iRet - 1
  End if
  
  Ret = Left( Text, iRet)
  GetLeftValue = Ret
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetFileValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Filen som ska lsas
' Returnerar           Array med rader
' Beskrivning          Lser in alla rader i en textfil till en array
' ================================%ENDFUNCTION%=================================
Function GetFileValue(strFile)

 Dim strArray()

 Dim value
 INT i
 i = 0

 Set File = Server.CreateObject("Scripting.FileSystemObject")
 Path = Server.mappath(strFile)

 if File.FileExists(Path) then
   
   Set File = File.OpenTextFile( Path, 1, false, false )
   while not File.AtEndOfStream
    ReDim Preserve strArray(i)
    strArray(i) = File.ReadLine
    i=i+1
   Wend
   Set File = nothing
 end if
 
  GetFileValue = strArray
  
End Function


' ================================%FUNCTION%====================================
' Metod                CountSemikolons
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           rad att rkna semikolon i
' Returnerar           antal semikolon i strngen
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function CountSemikolons(strValidate)

  Dim iAnt, iLen, i, strTemp, strValidTemp
  strValidTemp = strValidate
  iLen = Len(strValidate)
  iAnt = 0

  for i=1 to iLen
    strTemp = Left(strValidate, 1)
    
    if strTemp = ";" then
      iAnt = iAnt+1
    end if
    
    strTemp = Right(strValidate, iLen-i)
    strValidate = strTemp
  next 
  ' Stter tillbaka org. vrde...
  strValidate = strValidTemp

  CountSemikolons = iAnt

End Function


' ================================%FUNCTION%====================================
' Metod                GetOptionValue
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           hel vrde i optiontag, dvs <option value='xx;xx'>Klartext</option>
' Returnerar           XX;XX
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetOptionValue( strOption )

  Dim strTemp
  strTemp = ""
  
  if not strOption = "" then
   
     if InStr(1, strOption, "='", 1) > 0 then
       strTemp = Right( strOption, Len(strOption) - InStr(1, strOption, "='", 1)-1)
       
     elseif InStr(1, strOption, "=", 1) > 0 then
       strTemp = Right( strOption, Len(strOption) - InStr(1, strOption, "=", 1))
       
     else
       strTemp = " "
     end if 
     
    if InStr(1, strTemp, "'>", 1) > 0 then
      strTemp = Left( strTemp, InStr(1, strTemp, "'>", 1)-1)
    elseif InStr(1, strTemp, ">", 1) > 0 then
      strTemp = Left( strTemp, InStr(1, strTemp, ">", 1)-1)
    else
      strTemp = " " 
    end if
    
  end if
  
  GetOptionValue = strTemp

End Function


' ================================%FUNCTION%====================================
' Metod                GetOptionText
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           hel vrde i optiontag, dvs <option value='xx;xx'>Klartext</option>
' Returnerar           Klartext
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetOptionText( strOption )

  Dim strTemp
  strTemp = ""
  
  if not strOption = "" and InStr(1, strOption, "OPTION", 1) > 0 then
    
    if InStr(1, strOption, "'>", 1) > 0 then
      strTemp = Right( strOption, Len(strOption) - InStr(1, strOption, "'>", 1)-1)    
    elseif InStr(1, strOption, ">", 1) > 0 then
      strTemp = Right( strOption, Len(strOption) - InStr(1, strOption, ">", 1))    
    else
      strTemp = " " 
    end if
      
    strTemp = Left( strTemp, InStr(1, strTemp, "<", 1)-1)    
  end if
  
  GetOptionText = strTemp
  
End Function


' ================================%SUB%====================================
' Metod                WriteErrorFile
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Sub WriteErrorFile(ErrText, File, Section)

  Dim Error_File, TextFile, Path, Filename
  
  Path = Application("Filepath")
  Filename = Application("ErrFileName")
  
  if not Path = "" and not Filename = "" then
    Filename = Path & Filename
  
    Set Error_File = Server.CreateObject("Scripting.FileSystemObject")    
  
    ErrText = Date() & ";" & Time() & ";" & File & ";" & Section & ";" & ErrText
  
    on error resume next
  
    if not Error_File.FolderExists(Path) and not Path = "" then
      Error_File.CreateFolder(Path)
    end if
      
    Set TextFile = Error_File.OpenTextFile(Filename, 8, true, false)
    TextFile.WriteLine ErrText
    TextFile.Close
    Set Error_File = nothing
  
  end if 'Path = "" and Filename = ""
  
End Sub


' ================================%SUB%====================================
' Metod                WriteDataLog
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Anropande webbsida, Ev. sektion/funktion i sida, Felmeddelande
' Returnerar           
' Beskrivning          Loggar till dataloggen vida aktiviet, tex lsnigar/upd mot Procapita
' ================================%ENDFUNCTION%=================================
Sub WriteDataLog(ByVal File, ByVal Section, ByVal ErrText)

  Dim Error_File, TextFile, Path, Filename
  
  Path = Application("Filepath")
  Filename = Application("LogFileName")
  
  ' r den blank s blir det Systemkatalogen...ndra om kund vill annat..
  if not Path = "" and not Filename = "" then

    Filename = Path & Filename
  
    Set Error_File = Server.CreateObject("Scripting.FileSystemObject")    
  
    ErrText = Date() & ";" & Time() & ";" & File & ";" & Section & ";" & ErrText
  
    'on error resume next
  
    if not Error_File.FolderExists(Path) and not Path = "" then
      Error_File.CreateFolder(Path)
    end if
      
    Set TextFile = Error_File.OpenTextFile(Filename, 8, true, false)
    TextFile.WriteLine ErrText
    TextFile.Close
    Set Error_File = nothing
  
  end if ' Path = "" 
  
End Sub


' ================================%FUNCTION%====================================
' Metod                AddSelected
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Optionstrng
' Returnerar           strng med SELECTED adderat..
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function AddSelected(strOption)

  Dim strRet
  strRet = "<OPTION value=''>Inget val!</OPTION>"
  
  if InStr(1, strOption, "OPTION",1) > 0 then
  
    Dim strValue, strText
  
    strText = Left(strOption, Len(strOption)-9)    
    strText = Right(strText, Len(strText)-InStr(1, strText, "'>",1)-1 )
  
    strValue = Right(strOption, Len(strOption) - 15 )
    strValue = Left(strValue, InStr(1, strValue, "'>",1)-1 )
    
    strRet = "<OPTION SELECTED value=""" & Server.HTMLEncode(strValue) & """>" & Server.HTMLEncode(strText) & "</OPTION>"
  end if
  
  AddSelected = strRet
  
End Function


' ================================%FUNCTION%====================================
' Metod                CheckOpenTime
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           true om applikationen r ppen enl inifil, annars false
'
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function CheckOpenTime()

  Dim iHour, iH, bTimeClosed
  bTimeClosed = false
  iHour = Time()

  iH = trim(Left(iHour, 2))
  if InStr(1, iH, ":", 1) > 0 then
    iHour = "0" & iHour
  end if

  if InStr(1, iHour , "AM", 1) > 0 or InStr(1, iHour , "PM", 1) > 0 then
        
    ' Ta bort PM eller AM...samt sekunder 
    iHour = Trim(Left(iHour, Len(iHour)-6))
    ' Tid i HH:MM
    'iHour = Left(iHour, 5)

    iH = trim(Left(iHour, 2))

    if iH = 12 then
      if not InStr(1, Time(), "PM", 1) > 0 then
        iH = 00
      end if
    else
      iH = CInt(iH) + 12
    end if
          
    'iH = CInt(iH) + 12
    iHour = CStr(iH) & Right(iHour, 3)
  else
    ' Tid i HH:MM
    iHour = Left(iHour, 5)
  end if
        
  if not Application("CloseHour") = "00:00" and not Application("OpenHour") = "00:00" then
    if ( Application("OpenHour") > iHour ) then
      bTimeClosed = true
    end if
    if ( Application("CloseHour") < iHour ) then
      bTimeClosed = true
    end if
  end if

  CheckOpenTime = bTimeClosed

End Function


' ================================%FUNCTION%====================================
' Metod                FilterInputString
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           strng att ska igenom/erstta
' Returnerar           filtrerad strng
' Beskrivning          tar bort otilltna vrden frn strng som ska sparas till databas
' ================================%ENDFUNCTION%=================================
Function FilterInputString(strString)

  Dim strRet
  
  strRet = Replace(strString, "<", " ")
  strRet = Replace(strRet, ">", " ")
  strRet = Replace(strRet, "%", " ")
  strRet = Replace(strRet, "&", " ")
  strRet = Replace(strRet, "'", " ")
  strRet = Replace(strRet, "+", " ")
  strRet = Replace(strRet, "=", " ")
  strRet = Replace(strRet, "*", " ")
  strRet = Replace(strRet, ";", " ")  
  strRet = Replace(strRet, "(", " ")
  strRet = Replace(strRet, ")", " ")
  strRet = Replace(strRet, "[", " ")
  strRet = Replace(strRet, "]", " ")
  strRet = Replace(strRet, "--", "")
  
  FilterInputString = strRet
  
End Function


' ================================%FUNCTION%====================================
' Metod                FormatPersonnr
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Personnr
' Returnerar           Personnr, formaterad fr lsning
' Beskrivning          ret pnr enligt YYMMDD-XXXX
' ================================%ENDFUNCTION%=================================
Function FormatPersonnr(strPnr)

 if Len(strPnr) = 12 then
   strPnr = Right(strPnr, 10)
 end if
 
 if Len(strPnr) = 10 then
   strPnr = Left(strPnr, 6) & "-" & Right(strPnr, 4)
 end if
  
 FormatPersonnr = strPnr
 
End Function


' ================================%FUNCTION%====================================
' Metod                validSQL
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           SQL-strng som referens
' Returnerar           true/false
' Beskrivning          true om ok, false om den innehller felaktiga vrden
' ================================%ENDFUNCTION%=================================
Function validSQL(byref strInput)

  Dim strRet, goodChar, validateString, i, thisChar
  
  strRet = strInput
  goodChar = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890 -@.',:"
  goodChar = goodChar & ""
  validateString = true
  
  If not strInput = "" then
 
    for i=1 to len(strRet)
      thisChar = mid(strRet,i,1)
      if(instr(goodChar,thisChar) = 0)then
        validateString = false
        exit for
      end if
    next
    ' Kollar att inte konstiga kombinationer av godknda tecken anvnds.
    If inStr(1,strInput,"--",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"-'-",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"'-",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"-'",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"@@",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"@'@",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"'@",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,"@'",1) then
	  	validateString = false
    End if
    If inStr(1,strInput,";",1) > 0 then
	  	validateString = false
    End if
  End if
    
  ' ByRef gives us the opportunity to change the value without passing it back
  ' through the function.
  strInput = replace ( strInput , "'", "" )
  
  validSQL = validateString

end function


' ================================%FUNCTION%====================================
' Metod                checkInstalledComponents
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Folder - Namn p katalog
' Returnerar           true/false som strng
' Beskrivning          Function that checks which components that has been installed at the customer by looking for certain folders
'                      which was inclused in the installation. Based on this customer-specific status, the application can dynamically
'                      create an valid button-based menu.
' ================================%ENDFUNCTION%=================================
function checkInstalledComponents( Folder )
  
  dim filesys, pathstring, strReturn
  strReturn = "false"
    
  'Get path for parent folder...
  parentFolder = Server.MapPath(".")
  
  'Get the names for each folder within the parent folder...
  Set filesys = CreateObject("Scripting.FileSystemObject")
  set demofolder = filesys.GetFolder(parentFolder)
  set folderCol = demofolder.SubFolders
  for each subfol in folderCol
    
    if UCase(subfol.Name) = UCase(Folder) then
      strReturn = "true"
    end if
    
  next
  
  set filesys = nothing
  set demofolder = nothing  
  set folderCol = nothing

  checkInstalledComponents = strReturn
  
end function


' ================================%FUNCTION%====================================
' Metod                validatePnr
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           personnr som strng
' Returnerar           true/false
' Beskrivning          Kontrollerar s att det r ett riktigt personnummer...
'                      ANVNDS INTE - EJ KLAR!!!!
' ================================%ENDFUNCTION%=================================
Function validatePnr(strPnr)

  dim strReturn  
	dim bool1, bool2
	
	bool1 = null		' kontroll att 10 siffror matats in
	bool2 = true		' kontrol att rtt siffror matats in
	
	' Tar bort ev. bindestreck
	strPnr = Replace(strPnr, "-", "")
	
	' Tar bort tv frsta tecknen om lngden = 12
	if Len(strPnr) = 12  then
    strPnr = Right(strPnr, 10)
  end if
  
	' kontrollerar att rutan ej r tom
	if strPnr = "" then
		strReturn = "Du mste ange ett personnummer"
  end if
		
	' kontrollerar att 10 heltal matats in
	' detta skall ing, dvs uttrycket skall bli true
	'bool1 = strPnr.match(/^\d{10}$/)
	
	if not IsNumeric(strPnr) then 
		'Exakt 10 siffror mste matas in. Exempel: 7010271042
		strReturn = "Exakt 10 siffror mste matas in. Exempel: 7010271042"
  end if
		
	' kontrollerrar att de 6 frsta siffrorna har korrekta datum-vrden
	' detta skall ing, dvs uttrycket skall bli true
	'bool2 = strPnr.match(/^\d{2,2}[01]{1,1}\d{1,1}[0123]{1,1}\d{1,1}\d{4,4}$/);

	'bool2 = CheckValidDate()
	if bool2 = null then
		strReturn = "Det angivna personnumret har felaktiga datum. Var god kontrollera detta!"
	' kontrollerar om TF-nummer ----------------------------------------------------------
	Elseif instr(1,strPnr,"TF",1) > 0 OR instr(1,strPnr,"tf",1) > 0 then
		strReturn = strPnr
	' kontrollerar att sista siffran r korrekt-------------------------------------------
	else 
		' variabler fr kontroll av slutsiffra	
		dim siffra, ental, kNummer, summa, testSumma, i, tiotal, bSet
		bSet = true
		siffra=0		' varje delsiffra i pnr
		ental=0		' entalet (nr siffra strre n 9)
		kNummer=0		' den siffra som SKALL vara sist i pnr
		summa=0		' summan av samtliga siffror
		testSumma=0	' fr att plocka ut tiotalet ur summan
		i=0			' loop fr utplockning av varje delsiffra i pnr
		tiotal=0		' loop fr att leta antalet tiotal
			
		' STEG 1 kontrollerar och summerar siffra fr siffra i pnr
		for i = 0 to i = 8
			
			'siffra = parseInt(strPnr.charAt(i));
			siffra = Int(Mid(strPnr, i, 1))
									
			' multiplicerar utvald Siffra med 2 varannan gng
			if bSet = true then 
			  siffra = siffra * 2
			  bSet = false 
  			' multiplicerar utvald Siffra med 1 varannan gng
	    else
				siffra = siffra * 1
				bSet = true
		  end if
				
			' om den nyligen multiplicerade siffran r ett ENTAL
			if siffra < 10 then
				summa = summa + siffra
			
			' om den nyligen multiplicerade siffran r ett TIOTAL
			else 
				' Hr kan tiotals-siffran (den frsta av de tv) bara vara en ETTA (2*5 - 2*9)
				' Allts behver vi inte rkna fram den :)
				ental = siffra - 10
				summa = summa + 1 + ental
			end if

		next 'slut for-slinga (nu har vi loopat igenom alla siffror)
			
		' STEG 2, rknar ut kontroll-siffran------------------------------------------
		testSumma = summa

		do while testSumma > 9 
			testSumma = testSumma - 10
			tiotal = tiotal + 1
		loop
		
		tiotal = tiotal + 1			  ' kar p till nrmast hgre
		tiotal = tiotal * 10		  ' ger det fullstndiga tiotalet
		kNummer = tiotal - summa	' kontrollsiffran blir nrmast hgre tiotal - summan
				
		' om kontrollSiffran r ett tiotal r ju andra siffran entalet, (dvs alltid 0)
		if kNummer mod 10 = 0 then
			kNummer = 0
		end if
		
		' STEG 3, kontrollerar att kontroll-siffran stmmer med sista siffran i personnummret	
		if not kNummer = Int(Mid(strPnr, 9, 1)) then
			strReturn = "Personnumret r ogiltligt!"
	  end if

	end if ' SLUT kontroll av slutsiffra
	
  validatePnr = strReturn
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetTranslation
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Tv skvrden iPos (rad i dictfil) och klartext
' Returnerar           versttning till valt sprk
' Beskrivning          Hmtar strng med valt sprk frn dictonary om det finns
'                      Finns det inte utifrn POS, hmtas det utifrn namn. 
'                      Om det inte finns nd loggas detta fr upplgg i dictfilen 
' ================================%ENDFUNCTION%=================================
Function GetTranslation( iPos, strReturName, arDictionary )

  Dim strRet, iSize, arLang, strActiveLanguage
  strActiveLanguage = Session("ActiveLanguage")
  
  if Application("GET_DICTONARY_FROM_FILE") = "true" then
    strFile = Application("DICT_FILE")
    arLang = ReadDictonary(strFile)
  else
    arLang = arDictionary
  end if
  
  'Vi mste ha en array samt ett valt sprk!
  if IsArray(arLang) and IsNumeric(strActiveLanguage) then
  
    iSize = UBound( arLang )
    
    if not iPos = "" then
      'Inte hmta strre pos n vad vi har i arrayen!
      if iSize >= iPos then
        strRet = arLang(iPos, strActiveLanguage)
      end if 'iSize >= iPos

    'HMTA UTIFRN NAMN
    else 

      for x = 0 to iSize
        
        'Det r alltid svenska som skickas in!!
        if arLang(x, 0) = strReturName then
          strRet = arLang(x, strActiveLanguage)
          exit for
        end if

      Next
    end if 'iPos = "" om vi ska ska p pos!
  end if
  
  if strRet = "" then 
    strRet = strReturName 
    WriteDictionaryFile Application("FilePath"), "Add_To_Dictionary.log", iPos, strReturName, ";;;"
  end if
  
  GetTranslation = strRet 
  
End Function


' ================================%FUNCTION%====================================
' Metod                WriteDictionaryFile
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           Rad som saknas i dictionary och ska loggas, skvg & fil samt antal sprk!
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function WriteDictionaryFile(Path, Err_File, strPos, strName, strNrOfLang)

  Dim Error_File, TextFile, bExists
  bExists = false
  
  if not Path = "" and not Err_File = "" then
    Set Error_File = Server.CreateObject("Scripting.FileSystemObject")    
    ErrText = strPos & ";" & strName & "" & strNrOfLang
  
    if not Error_File.FolderExists(Path) then
      Error_File.CreateFolder(Path)
    end if
  
    Set TextFile = Error_File.OpenTextFile(Path & Err_File, 8, true, false)
    
    Do while TextFile.AtEndOfStream <> true
      TextLine = TextFile.ReadLine
      if InStr(1, TextLine, strName, 1) > 0 then
        bExists = true
        exit do
      end if
    Loop 
    
    if bExists = false then
      TextFile.WriteLine ErrText
    end if
    
    TextFile.Close
    Set Error_File = nothing
  end if

End Function


' ================================%FUNCTION%====================================
' Metod                WriteStats
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Sub WriteStats(Stat, Section)
  
  Dim FSO, TextFile, Path
  Dim strAll, strNewContent, strOld, strNew, TextLine
  
  Path = Application("FilePath") & Application("StatFileName")  
  Set FSO = Server.CreateObject("Scripting.FileSystemObject")    
  Set TextFile = FSO.OpenTextFile(Path, 1, true)
  
  if Stat = "" then Stat = "0" end if
  
  strNew = Section & "=" & CStr(Stat)
    
  Do while TextFile.AtEndOfStream <> true
    TextLine = TextFile.ReadLine
    if InStr(1, TextLine, Section, 1) then
      strOld = TextLine
      exit do
    end if
  Loop 
  
  TextFile.Close
  Set TextFile = FSO.OpenTextFile(Path, 1, true)
  
  if not TextFile.AtEndOfStream = true then
    strAll = TextFile.ReadAll
  end if
  TextFile.Close
  
  set TextFile = FSO.OpenTextFile(Path, 2, true)

  if not strOld = "" then
    strNewContent = Replace( strAll, strOld, strNew, 1, -1, 1) 
    TextFile.Write strNewContent
  else
    TextFile.Write strAll & CHR(13) & CHR(10) & strNew
  end if
  
  TextFile.Close
  Set FSO = nothing
  Set TextFile = nothing
  
End Sub


' ================================%FUNCTION%====================================
' Metod                GetStats
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           
' Beskrivning          
' ================================%ENDFUNCTION%=================================
Function GetStats(strType)

  Dim FSO, TextFile, Path, Filename
  Dim TextLine, strRetValue
  strRetValue = "0"
  Path = Application("FilePath")
  Filename = Application("StatFileName")

  if not strType = "" and not Path = "" and not trim(Filename) = "" then

    Path = Path & Filename
  
    Set FSO = Server.CreateObject("Scripting.FileSystemObject")    
    Set TextFile = FSO.OpenTextFile(Path, 1, true)
  
    Do while TextFile.AtEndOfStream <> true
      TextLine = TextFile.ReadLine
      if InStr(1, TextLine, strType, 1) then
        strRetValue = TextLine
        exit do
      end if
    Loop 
  
    TextFile.Close
    Set FSO = nothing
    Set TextFile = nothing
  
    'Om trff innehller strRetValue STAT=123 ...
    if not strRetValue = "0" then 
      strRetValue = Right(strRetValue, Len(strRetValue) - InStr(1, strRetValue, "=", 1))
      
    'Finns inte statistiken, skapa den med 0!
    else
      WriteStats "0", strType
      strRetValue = "0"
    end if
    
  end if ' strType = ""
  
  GetStats = strRetValue
End Function


' ================================%FUNCTION%====================================
' Metod                GetDatabaseUpdTime
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           
' Returnerar           String                          Tid!
' Beskrivning          Returnerar tid enlig TTMMSSHHH    
' ================================%ENDFUNCTION%=================================
Function GetDatabaseUpdTime()

  Dim strTime, strTemp, strHour, strMin, strSec
  strTemp = Time()
  
  strHour = Hour(strTemp)
  if Len(strHour) = 1 then strHour = "0" & strHour end if

  strMin = Minute(strTemp)
  if Len(strMin) = 1 then strMin = "0" & strMin end if 

  strSec = Second(strTemp)
  if Len(strSec) = 1 then strSec = "0" & strSec end if 
  
  '163505515
  strTime = strHour & strMin & strSec & "000"
  
  GetDatabaseUpdTime = strTime
  
End Function 


' ================================%FUNCTION%====================================
' Metod                WriteProcLog
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           String          strTypeOfApp, strApplicationCode, strEnhetGyVux, strSFGyVux 
'                                      strText1, strText2, strText3, strText4, strFromDat, strTomDat, 
'                                      strHeader, strUpdSign
' Returnerar           String                           Ok
'                      
' Beskrivning          Skapar ny loggrad i Procapita p vald app typ (nyckar Typ av app, Rubrik, webbdat, webbtid)
' ================================%ENDFUNCTION%=================================
Function WriteProcLog(strTypeOfApp, strApplicationCode, strEnhetGyVux, strSFGyVux, strHeader, strText1, strText2, strText3, strText4, strFromDat, strTomDat, strUpdSign)
  
  Dim strReturn, strTable
  strReturn = ""
  
  ' HEADERN  styr vilken typ av logg det r enligt...
  ' strHeader = "SYSTEM_ERROR" : Ny rad skapas med innehll om felet. Anvnds av On Error resume...
  ' strHeader = "STATISTIK" : Ny rad skapas om det inte finns ngon matchande statistik i Text1 eller Text2 
  ' strHeader = "USER_ACTION" : Ny rad skapas med innehll om vad som r uppdaterat i Procapita
  
  'GILTIGT DATA..
  'if validSQL(strHeader) and validSQL(strText1) and validSQL(strText2) and validSQL(strText3) and validSQL(strText4) then
  if not strHeader = "" then
    
    Dim strQuery, rsPROC, cnPROC, nCount, strUpdDate, strUpdTime
    
    strUpdDate = GetToDay()
    strUpdTime = GetDatabaseUpdTime()
    
    Set cnPROC = Server.CreateObject("ADODB.Connection")
    Set rsPROC = Server.CreateObject("ADODB.Recordset")

'NYCKLAR
' INTAG : APPLIKATION, UPDTIDWEBB, UPDDATWEBB, RUBRIK, WEBBANV	
' GY : SKOLENHET, SKOLFORM, APPLIKATION, UPDTIDWEBB, UPDDATWEBB, RUBRIK, WEBBANV
' FSK : APPLIKATION, UPDTIDWEBB, UPDDATWEBB, RUBRIK, WEBBANV
    
    if strTypeOfApp = "INTAG" then  
      strTable = "KJ0P0WLG"
    elseif strTypeOfApp = "GY" then  
      strTable = "KJGV0WLG"
    elseif strTypeOfApp = "FSK" then
      strTable = "KJ1V0WLG"
    end if

    strQuery = "Select * from " & strTable & " where APPLIKATION = '" & strApplicationCode & "' "
    
    if not strUpdDate = "" then
      strQuery = strQuery & " AND UPDDATWEBB='" & strUpdDate & "' "
    end if

    if not strUpdTime = "" then
      strQuery = strQuery & " AND UPDTIDWEBB='" & strUpdTime & "' "
    end if
          
    Session("TraceSQL") = strQuery

		'DEBUG
		'Response.Write "SKAPAR LOGG!" & Session("TraceSQL") & "<BR>"

    if trim(strText1) = "" then strText1 = " " end if
    if trim(strText2) = "" then strText2 = " " end if
    if trim(strText3) = "" then strText3 = " " end if
    if trim(strText4) = "" then strText4 = " " end if
    if trim(strHeader) = "" then strHeader = " " end if
    if trim(strUpdSign) = "" then strUpdSign = " " end if
    if trim(strFromDat) = "" then strFromDat = " " end if
    if trim(strTomDat) = "" then strTomDat = " " end if
    
    if not Application("DEBUG") = "true" then 
      'on error resume next
    end if
    
    cnPROC.Open Application("DBConn_Proc")
    rsPROC.Open strQuery, cnPROC, 1, 3
    nCount = rsPROC.RecordCount
      
    'if (rsPROC.BOF and rsPROC.EOF) then
    if (rsPROC.EOF) then
    
      rsPROC.AddNew

      'BARA GY HAR SKILLNADER I TABELLSTRUKTUR
      if strTypeOfApp = "GY" then 
        rsPROC("SKOLENHET") = strEnhetGyVux
        rsPROC("SKOLFORM") = strSFGyVux
      end if
      
      rsPROC("APPLIKATION") = strApplicationCode
      rsPROC("RUBRIK") = strHeader
      rsPROC("WEBBANV") = strUpdSign
      rsPROC("GODKNDSIGN") = " "
      rsPROC("TEXT1") = strText1
      rsPROC("TEXT2") = strText2
      rsPROC("TEXT3") = strText3
      rsPROC("TEXT4") = strText4
      rsPROC("KOMMENTAR") = " "
      rsPROC("UPDDATWEBB") = GetToDay()
      rsPROC("UPDTIDWEBB") = GetDatabaseUpdTime()
      rsPROC("FROMDAT") = strFromDat
      rsPROC("TOMDAT") = strTomDat
      rsPROC("UPDSIGN") = strUpdSign
      rsPROC("UPDDAT") = GetToDay()
      rsPROC("UPDTID") = GetDatabaseUpdTime()
      rsPROC.Update
      
    else 'UPDATE
    
      rsPROC("WEBBANV") = strUpdSign
      rsPROC("TEXT1") = strText1
      rsPROC("TEXT2") = strText2
      rsPROC("TEXT3") = strText3
      rsPROC("TEXT4") = strText4
      rsPROC("UPDTIDWEBB") = GetDatabaseUpdTime()
      rsPROC("UPDSIGN") = strUpdSign
      rsPROC("UPDDAT") = GetToDay()
      rsPROC("UPDTID") = GetDatabaseUpdTime()
      rsPROC.Update
    end if
            
    rsPROC.Close
    cnPROC.Close
    set rsPROC = nothing
    set cnPROC = nothing
    
  else
    strReturn = false
  end if 'Giltigt data
  
  WriteProcLog = strReturn
  
End Function


' ================================%FUNCTION%====================================
' Metod                GetPartOfString
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           String          str							Semikolonseparerad strng
' Parametrar           String          index						Position
' Returnerar           String                           Ok
'                      
' Beskrivning          Returnerar ett vrde i en semikolonseparerad strng
' ================================%ENDFUNCTION%=================================
Function GetPartOfString(byVal str, byVal index)

  Dim tempStr, retStr, filterStr, antChar
  
    ' Filtrera bort EVENTUELLA OPTION-taggar..
  if InStr(1, str, "OPTION",1) > 0 then
    str = Right(str, Len(str) - 15 )
    str = Left(str, InStr(1, str, "'>",1)-1 )
    'DEBUG! 
    'Response.Write "Debug - " & strOrgin & " "
  end if


  index = trim(index)
  If CInt(index) < 1 then
    index = 0
  Else
    index = CInt(index - 1)
  End if
  If not str = "" then
    tempStr = Split(str,";")
    If CountSemikolons(str) < index then
      retStr = ""
    Else
      retStr = tempStr(index)
    End if
  Else
    retStr = ""
  End if
  GetPartOfString = retStr
  
End Function


' ================================%FUNCTION%====================================
' Metod                SetPartOfString
' tkomst              Public - Include
'                      Typ             Namn            Beskrivning / Status
'                      --------------- --------------- -----------------------           
' Parametrar           String          strCodeString	 Strngen som skall klistras in
' Parametrar           String          inString				 Semikolonseparerad strng
' Parametrar           String          iPart					 Position
' Returnerar           String          strRet
'                      
' Beskrivning          En funktion fr att stoppa in vrden i en strng separerad med seminkolon
'											 strCodeString r det vrde som skall klistras in i strngen inString p 
'											 platsen iPart. Sedan returneras den nya semikolonseparerade strngen tillbaka.
' ================================%ENDFUNCTION%=================================
Function SetPartOfString(strCodeString, inString, iPart)

	Dim str, strRet, strOne, parts, i
	parts = CountSemikolons(inString)
	parts = CInt(parts + 1)
	str = Split(inString, ";")
	strRet = ""
	If parts > 1 then
		For i = 1 to parts
			If i = iPart then
				strRet = strRet & ";" & strCodeString
			Else
				strRet = strRet & ";" & str(i-1)
			End if
		Next
	Else
		strRet = ""
	End if
	' Filtrerar bort frsta semikolonet som stts fast i den nykomponerade strngen
	If trim(Left(strRet,1)) = ";" then 
		strRet = Right(trim(strRet),len(trim(strRet))-1)
	End if
	SetPartOfString = strRet
	
End Function

' ================================%FUNCTION%====================================
' Method                RemoveCentury(centurydate)
' Access                Public - Include
'                       Typ             Namn            Beskrivning / Status
'                       --------------- --------------- ------------------------           
' Parameters            String centurydate
' Returns               -
'
' Beskrivning           Function for removing Century from date
' ================================%ENDFUNCTION%=================================
Function RemoveCentury(centurydate)
  Dim strRet
  
  if Len(centurydate) = 8 then 
    strRet = Right(centurydate,6)
    RemoveCentury = strRet
  end if
  
End function


' ==============================================================================

' ================================%FUNCTION%====================================
' Method                GetGender
' Access                Public - Include
'                       Typ             Namn            Beskrivning / Status
'                       --------------- --------------- ------------------------           
' Parameters            strPnr - strng med personnr
' Returns               Strng som r M fr man, och K fr kvinna. 
'
' Beskrivning           Returnera M eller K peroende p personnr.
' ================================%ENDFUNCTION%=================================
Function GetGender(strPnr)
    Dim strGenderNumber, strGender

    strGenderNumber = Mid(strPnr, 11, 1)

    if CInt(strGenderNumber) Mod 2 = 0 then
      strGender = "K"
    else
      strGender = "M"
    end if

    GetGender = strGender
End function
' ==============================================================================

' ================================%FUNCTION%====================================
' Method                HTMLEncode
' Access                Public - Include
'                       Typ             Namn            Beskrivning / Status
'                       --------------- --------------- ------------------------           
' Parameters            strInput
' Returns               HTML Encoded string
'
' Beskrivning           Do a better job than Server.HTMLEncode
' ================================%ENDFUNCTION%=================================
Function HTMLEncode(strInput)
    Dim strEncodedString

    strEncodedString = Server.HTMLEncode(strInput)
    strEncodedString = Replace(strEncodedString, "'", "&apos;")
    strEncodedString = Replace(strEncodedString, """", "&quot;")
    strEncodedString = Replace(strEncodedString, "=", "&equals;")
    
    HTMLEncode = strEncodedString
End function
' ==============================================================================

</SCRIPT>

