<%

'Kristiansstad SPEC!
Session("OnlyShowFirstChoiseStats") = true

'**************************************************************************
' Statistik komponent!  
'**************************************************************************
Function GetStatsGraphix()

  'if nCount > 0 then

    bShowPic = true
    Dim oExcelChart
    Dim strGIFFileName
    '--- create the object  
    Set oExcelChart = Server.CreateObject( "ExcelChart.cExcelChart" )
    '--- pass the set of points to be put on chart
    oExcelChart.AddDataSeries rs, "1", "1", true, True
    '--- set the headings for x-axis
    oExcelChart.SetXAxisHeadings rs, "STUDIEVEG"
    '--- provide chart and axis titles
    if not strSkola = "" then
      oExcelChart.SetChartTitles "Skande till studievgar p skola " & strSkola, "", ""
    else
      oExcelChart.SetChartTitles "Skande till studievgar ", "Studievgar", "Antal skande"
    end if
    '--- set chart type and plot area width and height
    oExcelChart.SetChartOptions xlColumnClustered, 500, 500 'xl3DColumnClustered
    '--- set special background effect
    'oExcelChart.SetBackgroundEffect msoGradientSilver  ' msoGradientCalmWater 
    '--- prepare the GIF file name, target path must have write permission
    Dim strFileName
    strFileName = CStr(Session.SessionID) & ".GIF"
    Session("FileName") = strFileName
    strGIFFileName = CStr( Server.MapPath(".") & "\" + strFileName )
    '--- export the chart
    oExcelChart.ExportToGif( strGIFFileName )
    '--- clean up 
    Set oExcelChart = nothing

  'end if

End Function

'******************************************************************************
'******************************************************************************

Function GetProgramNamn(strProgram)
  Dim strRet, strValue
  strRet = ""
  arOption = Application("OPTION_PROGRAM")
  if not strProgram = "" then
    
    for each strOption in arOption
      strValue = GetOptionValue(strOption)
      
      if strValue = strProgram then
        strRet = GetOptionText(strOption)
        exit for
      end if
    next

   end if
  
  GetProgramNamn = strRet

End Function
'******************************************************
'******************************************************
Function GetStatHeader()
  
  Dim strSelectedPeriod
  Dim strText, strValue, strOptionTag
  
  if Request("lstPeriod") = "" then
   strSelectedPeriod = Application("PERIOD")
  else
    strSelectedPeriod = Request("lstPeriod")
  end if 
  
  Response.Write "<FONT class=StatsHeaderFont>"

  if Request("arStatType") = "ant_sokande" then
     Response.Write "Antal skande, period " & Server.HTMLEncode(strSelectedPeriod)
     
  elseif Request("arStatType") = "sokande_ej_godk" then
     Response.Write "Antal skande, ej behriga, period " & Server.HTMLEncode(strSelectedPeriod)
     Response.Write "<BR><FONT class=SubHeaderFont>Elever som saknar behrighet till sitt frstahandsval</FONT>"
     
  elseif Request("arStatType") = "int_stat" then
     Response.Write "Antal Antagna, period " & strSelectedPeriod
     Response.Write "<BR><FONT class=SubHeaderFont>Antagningsstatistiken gller fr datum " & Left(GetUserDate(), 10) 'rs("SEN_ENDRAD")

      'Visa lista med sortering/gruppering p...
     if uCase(Application("GrupperaStatistik")) <> "FALSE" and trim(Session("IsStatSkola")) = "" then
       Response.Write "<br><br>"
       'Combolist
       Response.Write "<select class='ListboxTextGruppera' onchange='SetAction()' size='1' name='ListGruppera' id='ListGruppera'>" 
	   
	   strSelectedValue = Request.Form("ListGruppera")

	   if IsArray(Application("OPTION_GRUPPERASTATISIK")) then
	     arOptions = Application("OPTION_GRUPPERASTATISIK")
   
		 for each strOptions in arOptions    
            strText = GetRightValue(strOptions, ";")
            strValue = GetLeftValue(strOptions, ";")

            if Trim(strSelectedValue) <> "" and InStr(1, strOptions, strSelectedValue, 1) > 0 then                
                strOptionTag = "<option selected value=""" & Server.HTMLEncode(strValue) & """>" & Server.HTMLEncode(strText) & "</option>"
            else                
                strOptionTag = "<option value=""" & Server.HTMLEncode(strValue) & """>" & Server.HTMLEncode(strText) & "</option>"
            end if
               
	       Response.Write strOptionTag
		 next
	   end if
	
       Response.Write "</select>"
	   Response.Write "<br>"  
	   
     end if
     
  elseif Request("arStatType") = "int_stat_prel" then
    Dim strGetPrelPeriod, strDisplayPeriod
    strGetPrelPeriod = getMatchingPrelPeriod(strSelectedPeriod)
    if not strGetPrelPeriod = "" then
        strDisplayPeriod = strGetPrelPeriod
    else
        strDisplayPeriod = strSelectedPeriod
    end if
    
    Response.Write "Preliminrt antagna, period " & Server.HTMLEncode(strDisplayPeriod) & "<BR>"
     'Visa lista med sortering/gruppering p...
     if uCase(Application("GrupperaStatistik")) <> "FALSE" and trim(Session("IsStatSkola")) = "" then
       Response.Write "<br>"
       'Combolist
       Response.Write "<select class='ListboxTextGruppera' onchange='SetAction()' size='1' name='ListGruppera' id='ListGruppera'>" 
	   
	   Dim strSelectedValue, strTextValue
	   strSelectedValue = Request.Form("ListGruppera")
	   if IsArray(Application("OPTION_GRUPPERASTATISIK")) then
	     arOptions = Application("OPTION_GRUPPERASTATISIK")
    
         for each strOptions in arOptions    
            strText = GetRightValue(strOptions, ";")
            strValue = GetLeftValue(strOptions, ";")

            if Trim(strSelectedValue) <> "" and InStr(1, strOptions, strSelectedValue, 1) > 0 then                
                strOptionTag = "<option selected value=""" & Server.HTMLEncode(strValue) & """>" & Server.HTMLEncode(strText) & "</option>"
            else                
                strOptionTag = "<option value=""" & Server.HTMLEncode(strValue) & """>" & Server.HTMLEncode(strText) & "</option>"
            end if
               
	        Response.Write strOptionTag
		 next		 
	   end if
	
       Response.Write "</select>"
	   Response.Write "<br>"  
	   
     end if
     
  elseif Request("arStatType") = "sokande_utanfor" then
     Response.Write "Antal skande frn annan kommun, period " & Server.HTMLEncode(strSelectedPeriod)
        
  elseif Request("arStatType") = "int_1_hand" then
    'Response.Write "Antal skande "
    
  elseif Request("arStatType") = "sokande_viss_skola" then
    'Response.Write "Antal skande "
    
  elseif Request("arStatType") = "sokande_iv" then
    'Response.Write "Antal skande "
  end if
  
  Response.Write "<BR>"
  Response.Write "</FONT>"

  Dim strKommun, strSkola, strProgram, strUrval, bAnd, strSkolnamn, strProgNamn
  bAnd = false
  strKommun = Request("hKommun")
  strSkola = Request("hSkola")
  strProgram = Request("hProgram")

  if not strSkola = "" then
    strSkolnamn = GetSkolnamn( strSkola )
    if bAnd = true and not strSkolnamn = "" then
      strUrval = strUrval & ", " & strSkolnamn
    end if
    bAnd = true
  end if
  if not strProgram = "" then
    strProgNamn = GetProgramNamn(strProgram)
    if bAnd = true and not strProgNamn = "" then
      strUrval = strUrval & ", " & strProgNamn
    end if
  end if
    
End Function

%>
