<!-- #include file = "inc_readDatabase.asp" -->
<script language="VBScript" runat="Server">
' ================================%WEBMETHOD%=================================
' Metod									writeStPlan
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						string          |PersonNr				|Elevens personnr
' Parametrar						string          |ValPeriod			|Valperioden
'												
' Beskrivning						Ritar upp elevens Studieplan
' ================================%ENDWEBMETHOD%==============================
Function writeStPlan(Skolenhet, PersonNr, ValPeriod, printGrades, bgCol, tblTop, tblRow, tAktPeriod, elevNamn, imagePath)
  If not trim( PersonNr ) = "" AND NOT trim( ValPeriod ) = "" then
    Dim iX, retStr, kursnamn, iKursPoang, completedCources, ongoingCources, plannedCources, iPoints, progPlanSum
    retStr = ""
    iX = 0
    iKursPoang = 0
    completedCources = getBetygKurser(PersonNr)
    ongoingCources = getPagandeKurser(PersonNr,Skolenhet)
    plannedCources = getProgPlanKurser(PersonNr,ValPeriod,tAktPeriod,skolenhet)

    If APPLICATION("showPlannedCourses") = "true" then
        If IsArray( ongoingCources ) and IsArray( plannedCources ) then
            For iLoop = 0 to UBOUND( ongoingCources, 2) - 2
                kursnamn = ongoingCources(0,iLoop)
                For iInnerLoop = 0 to UBOUND( plannedCources, 2 ) -2
                    If plannedCources(0, iInnerLoop) = kursnamn then
                        iPoints = ongoingCources(5,iLoop)
                        ongoingCources(5,iLoop) = CInt(iPoints)/2
                        plannedCources(5, iInnerLoop) = CInt(iPoints)/2
                        progPlanSum = SESSION("progPlanSum")
                        progPlanSum = progPlanSum - iPoints
                        SESSION("progPlanSum") = progPlanSum
                    End if
                Next
            Next
        End if
    End if

    If IsArray( completedCources ) then
      if not printFlag then			  
        retStr = "<TR><TD colspan=7><image src='" & imagePath & "/junk.gif'>&nbsp;<FONT class='head_middle'><B>Avslutade kurser</FONT></TD></TR>"
      else
        retStr = "<TR><TD colspan=7><FONT class='head_middle'><B>Avslutade kurser</FONT></TD></TR>"
      end if
        
      If printFlag then
        retStr = retStr &  "<TR>"
      Else
        retStr = retStr & "<TR bgcolor='#E0ECF8'>"
      End if
      retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurskod&nbsp;</b></FONT></TD>"
      retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kursnamn&nbsp;</b></FONT></TD>"
      if APPLICATION("CourseType") <> "false" then
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurstyp&nbsp;</b></FONT></TD>"
      else
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
      end if
      retStr = retStr & "<TD align=right><b><FONT class='txt_black'>Kurspong&nbsp;&nbsp;&nbsp;</b></FONT></TD>"
      If printGrades then
        if APPLICATION("GradesDate") <> "false" then
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Betygsdatum&nbsp;</b></FONT></TD>"
        else
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
        end if
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Betyg&nbsp;</b></FONT></TD>"
      End if
      retStr = retStr & "<TD align=right><b><FONT class='txt_black'>Dina pong&nbsp;</b></FONT></TD></TR>"
				
      For iX = 0 to UBound ( completedCources,2 ) - 1
        kursnamn = completedCources(0,iX)
        If not trim( kursnamn ) = "" and not completedCources(8,iX) = "1" then
          retStr = retStr & "<TR bgcolor="& tblRow &" title='Avslutade kurser fr " & elevNamn & "'>"
          retStr = retStr & "<TD><FONT class='txt_black'>" & kursnamn & "&nbsp;</FONT></TD>"
          retStr = retStr & "<TD><FONT class='txt_black'>" & completedCources(1,iX) & "&nbsp;</FONT></TD>"
          if APPLICATION("CourseType") <> "false" then
            retStr = retStr & "<TD><FONT class='txt_black'>" & GetKursTypNamn(completedCources(2,iX)) & "&nbsp;</FONT></TD>"
          else
            retStr = retStr & "<TD><FONT class='txt_black'></FONT></TD>"
          end if
          
          retStr = retStr & "<TD align=right><FONT class='txt_black'>" & completedCources(5,iX) & "&nbsp;&nbsp;&nbsp;</FONT></TD>"
						
          If printGrades then
            if APPLICATION("GradesDate") <> "false" and completedCources(7,iX) <> "R" then
              retStr = retStr & "<TD align=left><FONT class='txt_black'>" & formDatum(completedCources(3,iX)) & "&nbsp;</FONT></TD>"
            else
              retStr = retStr & "<TD align=left><FONT class='txt_black'></FONT></TD>"
            end if
            retStr = retStr & "<TD align=left><FONT class='txt_black'>" & completedCources(4,iX) & "&nbsp;</FONT></TD>"
          End if
						
          'U_R = R () runt pong
          Dim str1, str2
          if completedCources(7,iX) = "R" then
            completedCources(6,iX) = ""
            str1 = ""
            str2 = "R"
          else
            str1 = ""
            str2 = ""
          end if
						
          if completedCources(8,iX) = "1" then
            retStr = retStr & "<TD align=left><FONT class='txt_black'>" & str1& completedCources(6,iX)& str2 & "&nbsp;&nbsp;&nbsp;(B)&nbsp;</FONT></TD>"
          else
            retStr = retStr & "<TD align=right><FONT class='txt_black'>" & str1& completedCources(6,iX)& str2 & "&nbsp;</FONT></TD>"
          end if
          retStr = retStr & "</TR>"
						
          if IsNumeric(completedCources(6,iX)) then
            'Bortvald = 1, ta ej med i pongsumman och U_R = R, ta ej med i pongsumman
            if completedCources(8,iX) <> "1" and completedCources(7,iX) <> "R" then
              iKursPoang = iKursPoang + completedCources(6,iX)
            end if
          end if
        End if
      Next
				
      'Tusentalsavgrnsare
      if Len(iKursPoang) > 3 then
        iKursPoang = FormatNumber(iKursPoang,0)
        iKursPoang = replace(iKursPoang,","," ")
      end if
        
      retStr = retStr & "<TR bgcolor='" & "lightgrey" & "'><TD align='right' colspan='7'><FONT class='txt_black'><B>Summa avslutade kurser&nbsp;</B></FONT><FONT class='txt_black'><B>" & iKursPoang & "&nbsp;<B></FONT></TD></TR>"
      iKursPoang = 0

    End if
			
      If IsArray( ongoingCources ) then
        retStr = retStr & "<TR><TD colspan=7><br><br><image src='" & imagePath & "/journal.gif'>&nbsp;<FONT class='head_middle'><B>Pgende kurser</FONT></TD></TR>"

        If printFlag then
          retStr = retStr &  "<TR>"
        Else
          retStr = retStr & "<TR bgcolor='#E0ECF8'>"
        End if
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurskod&nbsp;</FONT></b></TD>"
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kursnamn&nbsp;</FONT></b></TD>"
        if APPLICATION("CourseType") <> "false" then
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurstyp&nbsp;</FONT></b></TD>"
        else
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
        end if
        If printGrades then
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
          retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
        End if
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
        retStr = retStr & "<TD align=right><b><FONT class='txt_black'>Pong&nbsp;</FONT></b></TD></TR>"

        For iX = 0 to UBound ( ongoingCources,2 ) - 1
          kursnamn = ongoingCources(0,iX)
          If not trim( kursnamn ) = "" then
            retStr = retStr & "<TR bgcolor="& tblRow &" title='Pgende kurser fr " & elevNamn & "'>"
            retStr = retStr & "<TD><FONT class='txt_black'>" & ongoingCources(0,iX) & "&nbsp;</FONT></TD>"
            retStr = retStr & "<TD><FONT class='txt_black'>" & ongoingCources(1,iX) & "&nbsp;</FONT></TD>"
            if APPLICATION("CourseType") <> "false" then
              retStr = retStr & "<TD><FONT class='txt_black'>" & GetKursTypNamn(ongoingCources(2,iX)) & "&nbsp;</FONT></TD>"
            else
              retStr = retStr & "<TD><FONT class='txt_black'></FONT></TD>"
            end if
						
            If printGrades then
              retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
              retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
            End if
            retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
            retStr = retStr & "<TD align=right><FONT class='txt_black'>" & ongoingCources(5,iX) & "&nbsp;</FONT></TD>"
            retStr = retStr & "</TR>"

            if IsNumeric(ongoingCources(5,iX)) then
              iKursPoang = iKursPoang + ongoingCources(5,iX)
            end if
						
          End if
        Next
        
        retStr = retStr & "<TR bgcolor='" & "lightgrey" & "'><TD align=right colspan='7'><FONT class='txt_black'><B>Summa pgende kurser&nbsp;</B></FONT><FONT class='txt_black'><B>" & iKursPoang & "&nbsp;<B></FONT></TD></TR>"
        iKursPoang = 0

      End if
			
    If APPLICATION("showPlannedCourses") = "true" then
      If IsArray( plannedCources ) then
        if not printFlag then
          retStr = retStr & "<TR><TD colspan=7><br><br><image src='" & imagePath & "/outbox.gif'>&nbsp;<FONT class='head_middle' title='Planerade kurser'><B>Planerade kurser</FONT></TD></TR>"
        else
          retStr = retStr & "<TR><TD colspan=7><br><br><FONT class='head_middle' title='Planerade kurser'><B>Planerade kurser</FONT></TD></TR>"
        end if
        If printFlag then
          retStr = retStr &  "<TR>"
        Else
        retStr = retStr & "<TR bgcolor='#E0ECF8'>"
      End if
      retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurskod&nbsp;</b></FONT></TD>"
      retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kursnamn&nbsp;</b></FONT></TD>"
      if APPLICATION("CourseType") <> "false" then
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'>Kurstyp&nbsp;</b></FONT></TD>"
      else
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
      end if
      If printGrades then
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'></b></FONT></TD>"
        retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
      End if
      retStr = retStr & "<TD align=left><b><FONT class='txt_black'></FONT></TD>"
      retStr = retStr & "<TD align=right><b><FONT class='txt_black'>Pong&nbsp;</b></FONT></TD></TR>"

      For iX = 0 to UBound ( plannedCources,2 ) - 1
        kursnamn = plannedCources(0,iX)
        If not trim( kursnamn ) = "" then
          retStr = retStr & "<TR bgcolor="& tblRow &" title='Planerade kurser fr " & elevNamn & "'>"
          retStr = retStr & "<TD><FONT class='txt_black'>" & plannedCources(0,iX) & "&nbsp;</FONT></TD>"
          retStr = retStr & "<TD><FONT class='txt_black'>" & plannedCources(1,iX) & "&nbsp;</FONT></TD>"
          if APPLICATION("CourseType") <> "false" then
            retStr = retStr & "<TD><FONT class='txt_black'>" & GetKursTypNamn(plannedCources(2,iX)) & "&nbsp;</FONT></TD>"
          else
            retStr = retStr & "<TD><FONT class='txt_black'></FONT></TD>"
          end if
          If printGrades then
            if APPLICATION("GradesDate") <> "false" then
              retStr = retStr & "<TD align=left><FONT class='txt_black'>" & formDatum(plannedCources(3,iX)) & "&nbsp;</FONT></TD>"
            else
              retStr = retStr & "<TD align=left><FONT class='txt_black'></FONT></TD>"
            end if
            retStr = retStr & "<TD align=left><FONT class='txt_black'>" & plannedCources(4,iX) & "&nbsp;</FONT></TD>"
          End if
          retStr = retStr & "<TD align=left><FONT class='txt_black'></FONT></TD>"
          retStr = retStr & "<TD align=right><FONT class='txt_black'>" & plannedCources(5,iX) & "&nbsp;</FONT></TD>"
          retStr = retStr & "</TR>"

          if IsNumeric(plannedCources(5,iX)) then
            iKursPoang = iKursPoang + plannedCources(5,iX)
          end if
							
        End if
      Next
        
      'Redovisa pong med tusentalsavgrnsare (blanktecken)
      if Len(iKursPoang) > 3 then
        iKursPoang = FormatNumber(iKursPoang,0)
        iKursPoang = replace(iKursPoang,","," ")
      end if
        
      retStr = retStr & "<TR bgcolor='" & "lightgrey" & "'><TD align=right colspan=7><FONT class='txt_black'><B>Summa planerade kurser&nbsp;</B></FONT><FONT class='txt_black'><B>" & iKursPoang & "&nbsp;<B></FONT></TD></TR>"
      'iKursPoang = 0
					
      End if
    End if
    If not trim( retStr ) = "" then
      Response.Write retStr
      SESSION("STUDIEPLAN") = retStr
    Else
      SESSION("STUDIEPLAN") = ""
    End if
  Else
    Response.Write "<TR><TD colspan=7><FONT class='head_middle'><BR>Ingen studieplan fr vald elev!</FONT></TD></TR>"
  End if
End Function  'writeStPlan()

' ================================%WEBMETHOD%=================================
' Metod									getBetygKurser
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
'												
' Beskrivning						Hmtar betygskurser p elevens
' ================================%ENDWEBMETHOD%==============================
Function getBetygKurser(PersonNr)
	Dim kursArr, str, progPlanSum,  nCount, ret
	nCount = 0
	progPlanSum = 0
	SESSION("progPlanSum") = 0
	kursArr = readBetKurser(PersonNr)
	If IsArray( kursArr ) then
		For each str in kursArr
			redim preserve retKursArr(9,(nCount + 1))
			retKursArr(0,nCount) = getStringPart(str,1)
			retKursArr(1,nCount) = getStringPart(str,2)
			retKursArr(2,nCount) = getStringPart(str,3)
			retKursArr(3,nCount) = getStringPart(str,4)
			retKursArr(4,nCount) = getStringPart(str,5)
			retKursArr(5,nCount) = getStringPart(str,6)
		    retKursArr(6,nCount) = getStringPart(str,7)
		    retKursArr(7,nCount) = getStringPart(str,8)
			retKursArr(8,nCount) = getStringPart(str,9)
			nCount = nCount + 1
			If not getStringPart(str,7) = "" then 
			  if getStringPart(str,9) <> "1" and getStringPart(str,8) <> "R" then
				  progPlanSum = CDbl( progPlanSum + getStringPart(str,7) )
				end if
			End if
		Next
	Else
	End if
	SESSION("progPlanSum") = progPlanSum
	If nCount > 0 then
		ret = retKursArr
	Else
		ret = ""
	End if
	getBetygKurser = ret
End Function  'getBetygKurser()

' ================================%WEBMETHOD%=================================
' Metod									getPagandeKurser
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
'												
' Beskrivning						Hmtar pgende kurser someleven lser fr tillfllet
' ================================%ENDWEBMETHOD%==============================
Function getPagandeKurser(PersonNr,Skolenhet)
	Dim kursArr, str, progPlanSum,  nCount, ret
	nCount = 0
	progPlanSum = SESSION("progPlanSum")
	kursArr = readPagandeKurser(PersonNr,Skolenhet)
	If IsArray( kursArr ) then
		For each str in kursArr
			redim preserve retKursArr(6,(nCount + 1))
			retKursArr(0,nCount) = getStringPart(str,1)
			retKursArr(1,nCount) = getStringPart(str,2)
			retKursArr(2,nCount) = getStringPart(str,3)
			retKursArr(3,nCount) = getStringPart(str,4)
			retKursArr(4,nCount) = getStringPart(str,5)
			retKursArr(5,nCount) = getStringPart(str,6)
			nCount = nCount + 1
			If not getStringPart(str,6) = "" then
				progPlanSum = CDbl( progPlanSum + getStringPart(str,6) )
			End if
		Next
	Else
	End if
	SESSION("progPlanSum") = progPlanSum
	If nCount > 0 then
		ret = retKursArr
	Else
		ret = ""
	End if
	getPagandeKurser = ret
End Function  'getPagandeKurser

' ================================%WEBMETHOD%=================================
' Metod									getProgPlanKurser
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
'												
' Beskrivning						Hmtar resterande kurser fr eleven p dess programplan
' ================================%ENDWEBMETHOD%==============================
Function getProgPlanKurser(PersonNr,ValPeriod, tAktPeriod,skolenhet)
	Dim kursArr, str, progPlanSum,  nCount, ret
	nCount = 0
	progPlanSum = SESSION("progPlanSum")
	'Valda framtida kurser
	kursArr = readChoosedKurser(PersonNr,ValPeriod,skolenhet)
	If IsArray( kursArr ) then
		For each str in kursArr
			redim preserve retKursArr(6,(nCount + 1))
			retKursArr(0,nCount) = getStringPart(str,1)
			retKursArr(1,nCount) = getStringPart(str,2)
			retKursArr(2,nCount) = getStringPart(str,3)
			retKursArr(3,nCount) = getStringPart(str,4)
			retKursArr(4,nCount) = getStringPart(str,5)
			retKursArr(5,nCount) = getStringPart(str,6)
			nCount = nCount + 1
			If not getStringPart(str,6) = "" then
				progPlanSum = CDbl( progPlanSum + getStringPart(str,6) )
			End if
		Next
	End if
	' Programplanskurser
	kursArr = readProgPlanKurser(PersonNr,tAktPeriod)
	Session("courceKod") = ""
	If IsArray( kursArr ) then
		For each str in kursArr
			redim preserve retKursArr(6,(nCount + 1))
			if (getStringPart(str,1) <> Session("courceKod")) then
			  retKursArr(0,nCount) = getStringPart(str,1)
			  retKursArr(1,nCount) = getStringPart(str,2)
			  retKursArr(2,nCount) = getStringPart(str,3)
			  retKursArr(3,nCount) = getStringPart(str,4)
			  retKursArr(4,nCount) = getStringPart(str,5)
			  retKursArr(5,nCount) = getStringPart(str,6)
			  nCount = nCount + 1
			  If not getStringPart(str,6) = "" then
				  progPlanSum = CDbl( progPlanSum + getStringPart(str,6) )
			  End if
			end if
			Session("courceKod") = getStringPart(str,1)
		Next
	End if
	SESSION("progPlanSum") = progPlanSum
	If nCount > 0 then
		ret = retKursArr
	Else
		ret = ""
	End if
	getProgPlanKurser = ret
End Function  'getProgPlanKurser

' ================================%WEBMETHOD%=================================
' Metod									GetStPlanIniFileValue
' tkomst								
'												Typ             Namn            Beskrivning / Status
'												--------------- --------------- ----------------------
' Parametrar						STRING          |IniFileVar     |postnamn som hmtas
' Returnerar						STRING					|retValue			  |vrde som returneras
'												
' Beskrivning						Returnerar nskat inifilsvrde frn fil
' ================================%ENDWEBMETHOD%==============================
Function GetStPlanIniFileValue(IniFileVar)
  Dim IniFile, File, TextLine, IniVar
  Dim RetValue, Path
  RetValue = ""

  Set IniFile = Server.CreateObject("Scripting.FileSystemObject")
  Path = Server.mappath("data/studieplan.ini")
  Set File = IniFile.OpenTextFile( Path, 1, false, false )
  
  while not File.AtEndOfStream
    TextLine = File.ReadLine
    IniVar = GetRightIniValue(TextLine)
    if IniVar = IniFileVar then
      RetValue = GetLeftIniValue(TextLine)
    End if
  Wend
  
  If RetValue = "" Then
    WriteErrorFile IniFileVar & " - Kan inte lsa studieplan.ini-filen (eller vrdet r tomt)!", "Global.asa", ""
  End if
  
  GetStPlanIniFileValue = RetValue
  Set IniFile = nothing
End Function

Function GetKursTypNamn(strKurstyp)
  Dim strRet
  
  select case strKurstyp
    case "ALT" strRet = "Alternativmneskurs"
    case "ANNATVAL"  strRet = "Annat val"
    case "ESTETVAL" strRet = "Estetiskt val"
    case "GEMINR" strRet = "Gemensam kurs i inriktning"
    case "GYARB" strRet = "Gymnasiearbete"
    case "GYGEM" strRet = "Gymnasiegemensamma mnen"
    case "IND" strRet = "Individuellt val"
    case "INDVAL_RUB" strRet = "Individuellt val, rub"    
    case "INR" strRet = "Inriktningar"
    case "INRGEM" strRet = "Gemensam kurs i inriktning"
    case "KARGEM" strRet = "Gemensam karaktrsmneskurs"
    case "KARN" strRet = "Krnmneskurs"
    case "KARVAL" strRet = "Valbar karaktrsmneskurs"
    case "MODERSMAL" strRet = "Modersml"
    case "OBLIG" strRet = "Obligatorisk kurs"
    case "PROGDJUP"	strRet = "Programfrdjupningar"
    case "PROGGEM" strRet = "Programgemensamma mnen"	
    case "PROJ" strRet = "Projektarbete"
    case "SPRAK2" strRet = "Sprk 2"
    case "SPRAK3" strRet = "Sprk 3"
    case "SPRK_NV" strRet = "Sprk NV"
    case "SVENSKA2" strRet = "Svenska 2"
    case "VALBAR" strRet = "Valbar kurs"
    case "VALOBLIG" strRet = "Valbar kurs, oblig. kurs fr skolan"
  end select

  GetKursTypNamn = strRet
End Function



</script>
